2026-06-28  Paul Hardy <unifoundry@gmail.com>
	* Version 17.0.05.
	* plane00-nonprinting.hex:
	  - Lucas2763 fixed the "N" in the glyph for U+FEFF.
	* font/plane00/unifont-base.hex:
	  - Adjusted U+0E1A and U+0E1B to prevent their looking like
	    other letters in the same script.  Thanks to Rachpol
	    Kraithong for reporting this.
	  - Yzy32767 has improved the Bopomofo Extension glyphs
	    (U+31A0..U+31BF) to match the style of the previous
	    change to Bopomofo basic block.
	  - Lucas2763 redrew Syriac Supplement glyphs U+0860..U+0865
	    and U+0867..U+086A.
	  - David Corbett redrew Syriac Supplement glyph U+0866.
	  - Kusanagi_Sans adjusted U+9FA9 to make the right column empty.
	* font/plane00/wqy.hex:
	  - 幻鹫_Blezig redrew U+3D07 to add a missing pixel and to
	    avoid a collision with the third 水 (water) component.
	  - Kusanagi_Sans adjusted U+56B9, U+74D2, U+9FA7, and U+9FAA
	    so the rightmost column would be empty, conforming to the
	    rest of the Chinese glyphs.
	* font/plane01/plane01.hex:
	  - Hayden Wong has drawn Tangut Components glyphs U+18800..U+188FF.
	* font/plane02/zh-plane02.hex:
	  - Paul Hardy added a missing pixel in U+2072A and removed U+24295,
	    which was the glyph for U+24259.  Thanks to Lucas2763 for noticing
	    these errors.
	  - 幻鹫_Blezig added the following 596 glyphs:
	    U+23D13, U+2633D, U+26C29, and U+2795B..U+27BAA.
	  - 幻鹫_Blezig also added the 172 missing glyphs in the range
	    U+27900–U+27BFF:
	    U+27900..U+2790E, U+27910..U+27916, U+27918..U+27943,
	    U+27945..U+2795A, U+27BAB..U+27BC5, and U+27BC7..U+27BFF.
	  - Lucas2763 has added these 53 glyphs: U+20800..U+20802,
	    U+20804..U+20806, U+20808, and U+20809..U+20837.
	  - Kusanagi_Sans modified U+2012F, U+20176, U+201EB, U+2020A,
	    U+20223, U+20228, U+202ED, U+24AC9, U+25562, U+2648D, and
	    U+29BDD to make the right column empty.
	  - Lakejason0 (湖 远星) adjusted U+201A2 to make the right
	    column empty.
	* font/plane03/zh-plane03.hex:
	  - Kusanagi_Sans modified U+323F7 to make the right column empty.

2026-03-13  Paul Hardy <unifoundry@gmail.com>
	* Version 17.0.04.
	* Makefile:
	  - Added "bin" and "lib" to .PHONY target so updates to them
	    would not trigger redundant operations.
	  - Changed "\rm" to "-rm" for Cygwin compatibility.
	  - Added *-stamp files to avoid redundant operations:
	    bin-stamp, buildfont-stamp, libdir-stamp, docdir-stamp,
	    and doxdir-stamp.
	  - Added "-rm -f *-stamp" to distclean target.
	* font/Makefile:
	  - Updated copyright for 2026.
	  - Added many new "-stamp" targets to increase building parallelism
	    when using "make -j".
	  - Added Unifont package programs as dependencies for any target
	    that requires them.
	  - Remove intermediate work files in font/otfsrc and font/ttfsrc
	    directories after each respective font build completes.
	  - plane00/hangul-syllables.hex is no longer generated from
	    plane00/hangul/hangul-base.hex, which contains ancient as
	    well as modern jamo, in preparation for decoupling the
	    plane00/hangul-syllables.hex file from the plane00/hangul
	    directory sources.  This will allow optimizing the Unicode
	    Hangul Syllables block for legibility using only modern jamo.
	  - Added BIN_STAMP definition and added as dependencies for targets
	    that use Unifont package Perl or C programs.
	  - Changed "$(HEXDIR)" to "plane00" and removed HEXDIR definition.
	    Unifont has grown into upper Unicode planes, each in their own
	    directory, so there is no longer a single "hex" directory.
	  - ALL_HEX_PLANE00 definition: added plane00/izmg16-plane00.hex.
	  - ALL_HEX_PLANE00CSUR definition: added plane00csur/noscript.hex.
	  - ALL_HEX_PLANE03 definition: added plane03/jp-plane03.hex.
	  - ALL_HEX definition created to combine "$(ALL_HEX_LOWER)",
	    "$(PUA)", and "$(ALL_HEX_UPPER)" definitions.
	  - Removed separate $(COMPILED_DIR)/unifont_all-$(VERSION).hex
	    target; moved creation of unifont_all-$(VERSION).hex to
	    hex-stamp target.
	  - Changed dependency of targets "coverage.txt" and
	    "$(COMPILED_DIR)/unifont_all-$(VERSION).hex.gz" to "hex-stamp"
	    dependency as a result of the above change.
	  - compiled_files target: added "bdf" dependency.
	  - Removed "bdf" dependency from targets "coverage.txt", "opentype",
	    and "truetype".
	  - Consolidated creation of ".png" and ".bmp" 16-by-16 glyph grids
	    to use common targets as dependencies.
	  - Added calls to new "font/hexadecimate.awk" script for generation
	    of 16-by-16 glyph ".png" and ".bmp" image files.  This new script
	    runs in linear time, replacing the previous sh nested for loops
	    that ran in O(n^2) time, thereby reducing build time.
	  - Create new intermediate file "font/graphawks-env" as a poor man's
	    way of passing environment variables to "font/hexadecimate.awk",
	    to support versions of awk that cannot read environment variables.
	  - Consolidated creation of HTML coverage tables linking to
	    ".bmp" or ".png" glyph image files into one "html-stamp" target.
	  - Made separate targets for each OTF font so they can be built
	    selectively if desired.
	  - bdf target: removed "hex" dependency.
	  - bdf-stamp target: added "hex-stamp" dependency.
	  - psf target: changed dependency to "bdf-stamp".
	  - bigpic target:
	    o Changed dependency to "bigpic-stamp" and
	      created "bigpic-stamp" target.
	    o Use ImageMagick to convert BMP images to monochrome PNG.
	  - thumbnails target: chaged dependency to "thumbnails-stamp"
	    and created "thumbnails-stamp" target.
	  - pcf target: changed dependency to "pcf-stamp" and created
	    new "pcf-stamp" target.
	  - Build and preserve unifont_jp-$(VERSION).pcf.gz to install it.
	  - coverage target: changed dependency to
	    "$(COMPILED_DIR)/coverage.txt" and made new target for
	    "$(COMPILED_DIR)/coverage.txt".
	  - distclean target no longer runs "make distclean" in plane00/hangul.
	  - .PHONY: removed "$(HANGUL)", because now it is a real file.
	  - pagecount target: changed dependency to
	    "$(COMPILED_DIR)/pagecount.html" and made new target for
	    "$(COMPILED_DIR)/pagecount.html".
	  - compiled target: changed dependency to "hex-stamp".
	  - hex-stamp target: moved *.hex dependencies from "compiled"
	    target to become "hex-stamp" target dependencies.
	  - $(HANGUL) target: changed installed filename from
	    "hangul-syllables" to "hangul-syllables.hex".
	  - png target: changed dependency to "png-stamp" and created
	  - truetype target: removed "hex" dependency.
	    new "png-stamp" target.
	  - precompiled target: now has a list of dependencies to check
	    if it needs to re-run.
	  - ttf target: changed dependency to "ttf-stamp" and created
	    new "ttf-stamp" target.
	  - csurttf target: changed dependency to "csurttf-stamp" and created
	    new "csurttf-stamp" target.
	  - upperttf target: changed dependency to "upperttf-stamp" and created
	    new "upperttf-stamp" target.
	  - Changed OpenType and TrueType target names to follow a consistent
	    pattern: "csurotf"-->"otf-csur", "csurttf"-->"ttf-csur",
	    "upperotf"-->"otf-upper", "upperttf"-->"ttf-upper", and
	    "sampleotf"-->"otf-sample".
	  - clean and distclean targets: changed "rm" to "-rm" after
	    previously using "\rm" but removing the '\' owing to lack
	    of Cygwin support.
	  - clean target now removes new file "font/graphawks-env".
	  - .PHONY target:
	    o Added "sampleotf" dependency
	    o Added $(COMPILED_DIR) dependency so timestamp updates to
	      $(COMPILED_DIR) would not trigger redundant operations
	      with the new Makefile reorganization.
	* font/README.font:
	  - New file to list files that should normally be present
	    in the "font" directory in a distclean state.
	* font/hexadecimate.awk:
	  - New script invoked from "font/Makefile" to generate 16-by-16
	    glyph images in ".png" or ".bmp" format.
	  - Output is piped to "sh" in "font/Makefile" to run programs
	    to create those glyph images.
	* font/otfsrc/Makefile:
	  - Updated copyright for 2026.
	  - clean and distclean targets: changed "rm" to "-rm" after
	    previously using "\rm" but removing the '\' owing to lack
	    of Cygwin support.
	* font/plane00/hangul/Makefile:
	  - Added "SHELL = /bin/sh".
	  - Changed CC and CFLAGS definitions from "=" to "?=".
	  - Removed "man" dependency from "all" target.
	  - Added target for "../hangul-syllables.hex" with a dependency
	    of "hangul-syllables.hex", so any update is installed in
	    the font/plane00 directory.
	  - "clean" target no longer removes hangul-syllables.hex and
	    hangul-syllables2.hex, so the "hangul" directory can be
	    distributed as a self-contained whole archive if desired.
	* font/plane00/hangul-johab1044/Makefile:
	  - Added "SHELL = /bin/sh".
	  - Commented out clean and distclean target recipies.
	* font/plane00/t-source.hex:
	  Kusanagi_Sans and Kao Chen-tung (高振東) added a set of over
	  28,000 Unicode Standard T-source Chinese glyphs.
	* font/plane00/unifont-base.hex:
	  - Paul Hardy adjusted several Devanagari glyphs (U+0900..U+097F).
	* font/plane00/wqy.hex:
	  - 晓晓Akatsuki:
	    o Modified U+41AF to better distinguish the components
	      "女" and "又"
	    o Raised the bottom stroke in U+3749(㝉) to better align it
	      with other characters.
	    o Updated three glyphs that contain a horse radical:
	      駍 (U+99CD), 駻 (U+99FB), and 駽 (U+99FD)
	    o Fixed a glyph error from Wen Quan Yi in 㵮 (U+3D6E)
	    o Modified the structure of 橜 (U+6A5C) as made in Unicode 6.0.
	* font/plane00csur/Makefile:
	  - Added "SHELL = /bin/sh".
	  - distclean target: changed "rm" to "-rm" after previously using
	    "\rm" but removing the '\' owing to lack of Cygwin support.
	* font/plane01/Makefile:
	  - Added "SHELL = /bin/sh".
	  - distclean target: changed "rm" to "-rm" after previously using
	    "\rm" but removing the '\' owing to lack of Cygwin support.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver modified several Ancient Symbols glyphs:
	    U+10194 ROMAN DIMIDIA SEXTULA SIGN, U+10196 ROMAN DENARIUS SIGN,
	    U+10197 ROMAN QUINARIUS SIGN, U+10198 ROMAN SESTERTIUS SIGN,
	    U+10199 ROMAN DUPONDIUS SIGN, and U+1019C ASCIA SYMBOL, with
	    U+10197..U+10199 redrawn as half-width.
	* font/plane02/zh-plane02.hex:
	  - 晓晓Akatsuki made these changes:
	    o Updated U+2042D per Unicode 17.0.0
	    o Added a missing pixel in U+2CB5B
	    o Added 𥝱 (U+25771).
	    o Completed all variant characters (except for 1 unencoded
	      character) not in BMP listed in Appendix 1 of the 通用规范汉字表
	      (List of Commonly Used Standard Chinese Characters)
	    o Completed the first 2100 characters of the 古籍印刷通用字规范字
	      形表 (Standardized Character Form Table for Commonly Used
	      Characters in Ancient Book Printing):
	         U+20930, U+20AB1, U+20BD8, U+20C5B, U+20D1F, U+20D30, U+20DFA,
	         U+20EF3, U+2136A, U+21428, U+21483, U+21681, U+21A25, U+21B36,
	         U+21D59, U+21D84, U+21EEF, U+221F7, U+22504, U+2260D, U+226C1,
	         U+22835, U+22838, U+22A98, U+22B38, U+22BA5, U+22DEC, U+232DE,
	         U+23397, U+235BE, U+2363B, U+2365C, U+2372C, U+23A81, U+23C28,
	         U+23E8C, U+242B9, U+242BF, U+242EE, U+243F6, U+24423, U+2473B,
	         U+24822, U+24873, U+2496D, U+24A0F, U+24C1C, U+24C48, U+24C4A,
	         U+24E2A, U+24EA5, U+24EBA, U+25767, U+25771, U+2591A, U+25997,
	         U+25A0E, U+25C2D, U+25CBB, U+25CE0, U+25EC5, U+25FCA, U+2608C,
	         U+260B3, U+260C2, U+26246, U+26279, U+262B1, U+26351, U+2640A,
	         U+26548, U+26634, U+26782, U+26A58, U+26AAD, U+26C54, U+26D4F,
	         U+26E87, U+272E5, U+2733D, U+27431, U+274FD, U+2774E, U+2776C,
	         U+27C53, U+27D03, U+27D10, U+27E18, U+27FD2, U+2805D, U+2810C,
	         U+282F0, U+28693, U+286B2, U+28EAD, U+28F4D, U+28F7B, U+29166,
	         U+2937F, U+294D0, U+295D7, U+29869, U+298E1, U+29944, U+29A38,
	         U+29A8B, U+2A1BB, U+2A1D8, U+2A1F0, U+2A3BD, U+2A4A0, U+2A4D0,
	         and U+2D075.
	    o Added these glyphs:
	      U+20BE5, U+219BC, U+21D49, U+225B3, U+22A6A, U+22B02, U+233B6,
	      U+23CAA, U+23D5A, U+24182, U+2474C, U+24D25, U+25609, U+2560E,
	      U+25611, U+2562F, U+25635, U+2564A, U+2567F, U+26AF8, U+2727E,
	      U+28482, U+29A72, U+2AAC6, U+2B006, U+2B1F2, U+2B35D, U+2B823,
	      U+2B92D, U+2B9C7, U+2BDAC, U+2BE75, U+2C05F, U+2C0AD, U+2C4B3,
	      U+2C4BD, U+2C4BE, U+2C842, U+2D655, U+2DD08, U+2DDD4, U+2DEFE,
	      U+2E1D8, U+2EB91, and U+30828.
	    o Updated U+2CD88 (𬶈) and U+2CD8B (𬶋) after yzdnn reported
	      that the glyph for U+2CD88 (𬶈) was mistakenly made identical
	      to that of U+2CD8B (𬶋).
	  - Koolhaas contributed these glyphs:
	    U+29A70, U+29A71, U+29A73, U+29A74, U+29A75, U+29A76, U+29A77,
	    U+29A78, U+29A79, U+29A7A, U+29A7B, U+29A7C, U+29A7D, U+29A7E,
	    U+29A7F, U+29AA0, U+29AA1, U+29AA2, U+29AA3, U+29AA4, U+29AA5,
	    U+29AA6, U+29AA7, U+29AA8, U+29AB0, U+29AB1, U+29AB2, U+29AB3,
	    U+29AB4, U+29AB5, U+29AB6, U+29AB7, U+29AB8, U+29AB9, U+29ABA,
	    U+29ABB, U+29ABC, U+29ABD, U+29ABE, U+29ABF, U+29AC0, U+29AC1,
	    U+29AC2, U+29AC3, U+29AC4, U+29AC5, U+29AC6, U+29AC7, U+29AC8,
	    U+29AC9, U+29ACA, U+29ACB, U+29ACC, U+29ACD, U+29ACE, U+29ACF,
	    U+29AD0, U+29AD1, U+29AD2, U+29AD3, U+29AD4, U+29AD5, U+29AD6,
	    U+29AD7, U+29AD8, U+29AD9, U+29ADA, U+29ADB, U+29ADC, U+29ADD,
	    U+29ADE, U+29ADF, U+29AE0, U+29AE1, U+29AE2, U+29AE3, U+29AE4,
	    U+29AE5, U+29AE6, U+29AE7, U+29AE8, U+29AE9, U+29AEA, U+29AEB,
	    U+29AEC, U+29AED, U+29AEE, U+29AEF, U+29AF0, U+29AF1, U+29AF2,
	    U+29AF3, U+29AF4, U+29AF5, U+29AF6, U+29AF7, U+29AF8, U+29AF9,
	    U+29AFA, U+29AFB, U+29AFC, U+29AFD, U+29AFE, and U+29AFF.
	  - Koolhaas has also modified these glyphs to make their style
	    fit more closely with others:
	    U+20005 (𠀅), U+20626 (𠘦), U+206B3 (𠚳), U+206B4 (𠚴),
	    U+206B5 (𠚵), U+206BB (𠚻), U+206F4 (𠛴), U+2071F (𠜟),
	    U+20720 (𠜠), U+2074B (𠝋), U+20759 (𠝙), U+2076B (𠝫),
	    U+20770 (𠝰), and U+207F2 (𠟲).
	* font/plane03/zh-plane03.hex:
	  - 晓晓Akatsuki added these glyphs:
	    U+30E77, U+30F59, U+31E91, U+324DC, U+327F1, U+32972, U+32F99,
	    and U+33056.
	  - Koolhaas added U+317DB.
	* font/plane0Fcsur/Makefile
	  - Added "SHELL = /bin/sh".
	* font/ttfsrc/Makefile:
	  - Updated copyright for 2026.
	  - clean and distclean targets: changed "rm" to "-rm" after
	    previously using "\rm" but removing the '\' owing to lack
	    of Cygwin support.
	* src/Makefile:
	  - Set CC and CFLAGS with ?= for overriding from command line.
	  - Added C99 back in for compiling hex2otf.c, as
	    "C99 ?= $(CC) -std=c99" to allow overriding from the
	    command line.
	  - Changed "\rm" to "-rm" for Cygwin compatibility.

2025-11-01  Paul Hardy <unifoundry@gmail.com>
	* Version 17.0.03.
	* font/plane00/unifont-base.hex:
	  - 晓晓Akatsuki simplified U+3022.
	* font/plane00/wqy.hex:
	  - 晓晓Akatsuki modified U+887F (衿) to be less similar to U+2561E
	    (𥘞), used in the Second round of simplified Chinese Characters.
	  - 晓晓Akatsuk, Boris Zhang, and Kusanagi_Sans modified ideographs
	    containing the "馬" (Horse) and "鳥" (Bird) radicals to be more
	    balanced: U+4B77, U+4B7C, U+4B7D, U+4B84, U+4B88, U+99AD, U+99AF,
	    U+99B0, U+99B1, U+99B2, U+99B4, U+99B7, U+99B8, U+99B9, U+99BB,
	    U+99BF, U+99C1, U+99C3, U+99C7, U+99CB, U+99CE, U+99CF, U+99D0,
	    U+99D2, U+99D3, U+99D4, U+99D6, U+99D7, U+99D8, U+99DB, U+99DD,
	    U+99E4, U+99E8, U+99E9, U+99EC, U+9A02, U+9A0F, U+9CE6, U+9CE8,
	    U+9CED, U+9CFD, U+9D03, U+9D15, U+9D24, U+9D2B, U+9D3C, U+9D80,
	    U+9D93, and U+9D95.
	* font/plane02/zh-plane02.hex, font/plane03/zh-plane03.hex:
	  - 晓晓Akatsuki added
	    o 第一批簡體字表 (August 21, 1935~February 1936)
	    o Chinese Character Simplification Scheme (1956-1986)
	    o The simplified character list (1986-2013), including
	      simplified radicals and Chinese characters used for
	      descriptions and annotations in official documents
            o The second list of the Second round of simplified Chinese
	      characters (not officially implemented)
	    o Plane 2 code points added:
	      U+2265D, U+2275D, U+22A73, U+23143, U+233B7, U+23519, U+23C76,
	      U+24D52, U+25081, U+2561E, U+2563D, U+25FBA, U+26B38, U+26BB4,
	      U+27E89, U+282CC, U+28473, U+2868D, U+28C44, U+2974E, U+2A8C8,
	      U+2ABC8, U+2B0F5, U+2B124, U+2B209, U+2B2A5, U+2B35A, U+2B4F1,
	      U+2B52D, U+2BC06, U+2C329, U+2C3BF, U+2C4E0, U+2C728, U+2C94E,
	      U+2CBA2, U+2CBA6, U+2CE9E, U+2CF65, and U+2E5FB.
	    o Plane 3 code points added:
	      U+304BC, U+304CA, U+305E3, U+30B38, U+30C1F, U+30C24, U+30C2C,
	      U+30F62, U+32064, and U+322A6.
	  - 晓晓Akatsuki modified U+300DD.
	  - 晓晓Akatsuki modified U+20509 to conform to the updated form
	    in additions to the latest CJK Unified Ideographs–Extension J
	    characters and simultaneously added G-source (mainland China)
	    glyphs for some characters in other extension blocks.
	  - 晓晓Akatsuk, Boris Zhang, and Kusanagi_Sans modified ideographs
	    containing the "馬" (Horse) and "鳥" (Bird) radicals to be more
	    balanced: U+29FA1, U+29FA7, U+29FE1, U+2A00A, U+2A02C, U+2A02E,
	    and U+2A068.
	  - 晓晓Akatsuki and others added the glyphs required by the
	    Specification of Common Modern Chinese Character Components
	    and Components Names (现代常用字部件及部件名称规范), published
	    in mainland China in 2009: U+20094, U+20541, U+215DC, U+223A8,
	    U+23942, U+248E9, U+26222, U+268DE, and U+26954.
	* man/hex2otf.1: changed "\fC" to "\f(CR" for better nroff portability.
	* src/Makefile:
	  - Moved bin-stamp from src directory to top-level directory.

2025-10-18  Paul Hardy <unifoundry@gmail.com>
	* Version 17.0.02.
	* font/plane00/plane00-combining.txt:
	  - Removed U+0B53 and U+0B54; these were for glyphs that were
	    scheduled to be included in Unicode 17.0.0 but were removed.
	  - Changed U+1B00 combining code point to U+1B0D.
	* font/plane00/unifont-base.hex:
	  - Paul Hardy:
	    o Fixed Unified Canadian Aboriginal Syllabics glyph for U+1521.
	      Thanks to Marco for reporting that.
	    o Fixed Rejang glyph U+A93D per Unicode 17.0.0 errata.
	    o Fixed glyph U+FB30, HEBREW LETTER ALEF WITH MAPIQ.
	  - David Corbett updated U+2B96, U+!7CE, U+A7CF, and U+A7D2.
	* font/plane00/wqy.hex:
	  晓晓Akatsuki adjusted U+4748, U+6B25, and U+6F78 per the latest
	  Unicode recommendations, and adjusted U+5100 to be 16 pixels tall.
	* font/plane01/plane1.hex:
	  - Fixed Adlam glyph U+1E912 per Unicode 17.0.0 errata.
	  - David Corbett:
	    o Patched small gaps in U+1CEDD and U+1E6DE.
	    o Modified U+1F778 ASTRAEA FORM TWO to look more like
              U+2693 ANCHOR.
	    o Modified U+1CEF0 MEDIUM SMALL WHITE CIRCLE WITH HORIZONTAL BAR
	      to be on the same baseline as U+26AC MEDIUM SMALL WHITE CIRCLE.
	    o Modified U+1F77A PARTHENOPE FORM TWO to be taller.
	    o Adjusted vertical inner vertical strokes in Tolong Siki
	      glyphs U+11DCC, U+11DCD, and U+11DD6 for consistency.
	    o Adjusted base height in chess glyphs U+1FA54..U+1FA57 and eye
	      height in U+1FA55 and U+1FA57 to match eye height of knights.
	  - Xiao Akatsuki drew smaller versions of U+16FF2 and U+16FF3.
	* font/plane02/zh-plane02.hex:
	  - Five glyphs added for complete jf7000 0.9 coverage:
	    o Boris Zhang added U+217DA and U+21A4B.
	    o 湖 远星 added U+24259, U+249DF, and U+270FD.
	  - 晓晓Akatsuki redrew U+29B9A.
	* font/plane02/zh-plane02.hex:
	  - 晓晓Akatsuki: Drew U+323B0..U+32401, U+32403..U+32406,
	    U+32409..U+32452, U+32454..U+3246A, U+3246C..U+3247D,
	    U+3247F..U+32484, U+32486..U+3248D, and U+3248F..U+324A4.
	  - Boris Zhang redrew U+2B7A4, U+2B7E8, and U+2EC06.
	  - Boris Zhang drew U+32402, U+32407, U+32408, U+32453, U+3246B,
	    U+3247E, U+32485, U+3248E, U+324D1, U+324DD, U+324DE, U+324E0,
	    U+3251F, U+32520, U+3261E, U+32623, U+32629, U+3262C, U+32631,
	    U+32632, U+32635, U+3263B, U+3263C, U+3263F, U+32640, U+32641,
	    U+32644, U+32646, U+32647, U+3264F, U+32650, U+32656, U+32657,
	    U+3265A, U+3265D, U+3265E, U+3265F, U+32660, U+32662, U+32669,
	    U+3266F, U+32672, U+32674, U+3267B, U+3267C, U+3267D, U+32688,
	    U+3268A, U+3268F, U+32694, U+32695, U+3269A, U+326AD, U+326BD,
	    U+326BE, U+326C0, U+326F5, U+326FA, U+32709, U+3270B, U+32714,
	    U+32744, U+32748, U+3274B, U+3274C, U+3274E, U+32755, U+32765,
	    U+32768, U+32769, U+327C0, U+327C3, U+327FB, U+32800, U+32859,
	    U+3285A, U+3285F, U+3287C, U+32901, U+32940, U+3295B, U+32985,
	    U+32996, U+32997, U+32A3A, U+32A3B, U+32A4C, U+32A5A, U+32A72,
	    U+32A98, U+32ACE, U+32AF9, U+32BDD, U+32BE1, U+32BE8, U+32BFF,
	    U+32C0A, U+32C0D, U+32C0E, U+32C13, U+32C36, U+32C37, U+32C39,
	    U+32C3B, U+32C3C, U+32C82, U+32CCA, U+32CCC, U+32CCD, U+32CD3,
	    U+32CD4, U+32CD6, U+32CDA, U+32CDC, U+32CDD, U+32CE4, U+32CE5,
	    U+32CE6, U+32CF3, U+32CF4, U+32CF7, U+32CFD, U+32D09, U+32D46,
	    U+32D49, U+32D4F, U+32D50, U+32D79, U+32D89, U+32DAF, U+32DB7,
	    U+32E2F, U+32E31, U+32E34, U+32E8B, U+32EA3, U+32ED0, U+32EF0,
	    U+32EF2, U+32F17, U+32F1D, U+32F1E, U+32F36, U+32F49, U+32F56,
	    U+32F58, U+32F59, U+32F6C, U+32F8C, U+32F9D, U+32FF9, U+3301A,
	    U+33074, U+33084, U+330AC, U+330D4, U+330F1, U+330F2, U+33113,
	    U+33157, U+331B2, U+331E7, U+331E9, U+331EA, U+331EF, U+331F0,
	    U+331F2, U+33211, U+33213, U+33214, U+33215, U+33216, U+33217,
	    U+3321B, U+33220, U+3323A, U+33255, U+33257, U+33261, U+33279,
	    U+3327A, U+3327C, U+33282, U+33283, U+33287, U+3328B, U+3328E,
	    U+3328F, U+33291, U+33293, U+33294, U+332AD, U+332BF, U+332E1,
	    U+3331A, U+3331E, U+33366, U+33397, U+33398, U+3339A, U+3339D,
	    U+33400, U+3340A, and U+33410.
	* src/Makefile: added $(CPPFLAGS) and $(LDFLAGS) for C compilation
	  per request. [Savannah bug #67483]
	* src/hex2otf.h: updated copyright for 2025.

2025-09-09  Paul Hardy <unifoundry@gmail.com>
	* Version 17.0.01.
	* COPYING: changed old FSF street address to FSF URLs now that the
	  FSF no longer maintains a physical office.
	* Makefile:
	  - Changed install target to install doc/unifont.info.gz or
	    doc/unifont.info and doc/unifont-he-zhixiang.png in
	    $(DESTDIR)/share/info.  Previously, these files were
	    installed in $(PKGDEST).
	* doc:
	  - Renamed he-zhixiang.png to unifont-he-zhixiang.png.
	  - Modified hex2otf.texi and unifont.texi to refer to
	    unifont-he-zhixiang.png instead of he-zhixiang.png.
	* doc/Makefile:
	  - The install target now installs unifont.info.gz or unifont.info
	    and unifont-he-zhixiang.png in $(DESTDIR)/share/info directory.
	* font/Makefile:
	  - Create font/coverage.txt and then install it in $(COMPILED_DIR)
	    so that it is updated in both places.
	* font/plane00/plane00-combining.txt - Updated for Unicode 17.0.0.
	* font/plane00/plane00-unassigned.hex - Updated for Unicode 17.0.0.
	* font/plane00/unifont-base.hex:
	  - David Corbett contributed the new Arabic glyphs:
	    o Arabic Extended-B: U+088F
	    o Riyal currency symbol: U+20C1.
	    o Arabic Presentation Forms-A: U+FBC3..U+FBD2, U+FD90, U+FD91,
	      and U+FDC8..U+FDCE.
	  - Paul Hardy added these new glyphs:
	    o Telugu: U+0C5C;
	    o Kannada: U+0CDC;
	    o Combining Diacritical Marks Extended: U+1ACF..U+1ADD,
	      U+1AE0..U+1AEB;
	    o Updated U+1BBF; thanks to Marco for mentioning the change.
	    o Miscellaneous Symbols and Arrows: U+2B96;
	    o Latin Extended-D: U+A7CE, U+A7CF, U+A7D2, U+A7D4, U+A7F1.
	    o Latin Extended-E: modified U+AB4B and U+AB4C per Unicode
	      17.0.0 recommendation.
	* font/plane01/noscript-ranges.txt   - Updated for Unicode 17.0.0.
	* font/plane01/plane01-combining.txt - Updated for Unicode 17.0.0.
	* font/plane01/plane01.hex:
	  - David Corbett contributed the new Arabic Extended-C glyphs:
	    U+10EC5..U+10EC7, U+10ED0..U+10ED8, U+10EFA, and U+10EFB.
	  - Johnnie Weaver drew:
	    o U+10940..U+1095F (Sidetic)
	    o U+11DB0..U+11DEF (Tolong Siki)
	    o U+16EA0..U+16EDF (Beria Erfe)
	    o U+1E900..U+1E95F (Adlam) - modified per Unicode 17.0.0 changes.
	  - Paul Hardy drew:
	    o U+11B60..U+11B67 (Sharada Supplement)
	    o U+16FF2..U+16FF6 (Ideographic Symbols and Punctuation)
	    o U+1CCFA..U+1CCFC and U+1CEBA..U+1CEBF (Symbols for Legacy
	      Computing Supplement).
	    o U+1CEC0..U+1DEFF (Miscellaneous Symbols Supplement)
	    o U+1E6C0..U+1E6FF (Tai Yo)
	    o U+1F6D8 (Transport and Map Symbols)
	    o U+1F8D0..U+1F8D8 (Supplemental Arrows-C)
	    o U+1FBFA (Symbols for Legacy Computing).
	  - Paul Hardy added missing bottom merlons to U+1343E and U+1343F.
            Thanks to David Corbett for spotting that omission.
	* font/plane01/plane01-combining.txt
	  - Changed Wancho combining glyphs (U+1E2EC..U+01E2EF) to single-
	    width, now that the Wancho script is single-width.
	* font/plane01/unassigned-ranges.txt - Updated for Unicode 17.0.0.
	* font/plane02/zh-plane02.hex:
	  - Yzy32767:
	    o Improved these glyphs in the first list of the second round
              of simplified Chinese characters: U+0200D3 and U+0201A8.
	    o Added these glyphs in the first list of the second round
              of simplified Chinese characters: U+20B15, U+20BB5,
	      U+20CAD, U+219F3, U+21C52, U+22342, U+22488, U+22A83,
	      U+2418A, U+2462F, U+26678, U+26B01, U+2A9F7, U+2BA4F,
	      U+2BA51, U+2BBDC, U+2BCB7, U+2BDC0, U+2BE6F, U+2D026,
	      U+2D64F, U+2D70C, U+2DCFF, and U+2E0B9.
	    o Fixed U+2CAD2, which wfz2020 on Bilibili noticed appeared
	      as the glyph for code point U+2CA02.
	* font/plane03/zh-plane03.hex:
	  - Yzy32767:
	    o Improved these glyphs in the first list of the second
	      round of simplified Chinese characters: U+030008, U+030061,
	      U+03006C, U+03011D, U+03014A, and U+0301E3.
	    o Added these glyphs: U+30180..U+301E2, U+301E4..U+301FF,
	      U+30270, U+302D9, U+302DB, U+302DC, U+302DE, U+302F7,
	      U+302FB, U+30335, U+3033B, U+3034E, U+30370, U+30371,
	      U+30409, U+30414, U+3043A, U+3043F, U+3044A, U+3044C,
	      U+30450, U+3045D, U+3045E, U+304CC, U+304E2, U+304E3,
	      U+304E8, U+304ED, U+3057A, U+305D1, U+305DD, U+305F6,
	      U+3067D, U+306D1, U+306D3, U+306EC, U+30708, U+30776,
	      U+30831, U+30842, U+308F2, U+3094C, U+30955, U+30969,
	      U+30993, U+309AA, U+309AB, U+30A1B, U+30A62, U+30AA9,
	      U+30AB1, U+30AFE, U+30B04, U+30B0A, U+30B15, U+30B43,
	      U+30B4B, U+30B5D, U+30BF6, U+30C21, U+30C2B, U+30CBD,
	      U+30CC7, U+30D4B, U+30D55, U+30D5F, U+30DDF, U+30DE3,
	      U+30E01, U+30E04, U+30E70, U+30E79, U+30F03, U+30F5F,
	      U+30F64, U+30F82, U+310AA, U+3114C, and U+31151.
	* src/Makefile:
	  - Compile all programs using "-std=c99".
	  - Add "-pedantic" to CFLAGS definition.
	  - Add unifontpic.h file dependency for unifontpic.c.
	  - Add hangul.h file dependency for unihangul-support.c.
	* src/hex2otf.c, src/johab2syllables.c, src/unibdf2hex.c, 
	  src/unifont1per.c, and src/unihexpose.c:
	  - Added "void" to function prototype and function definition
	    for functions that have no parameters.
	* src/unipagecount.c, src/unihexgen.c, src/unigenwidth.c,
	  src/unigencircles.c, src/unifontpic.c, src/unidup.c,
	  src/unifont1per.c, and src/unicoverage.c:
	  - Changed types for sscanf and fscanf parameters from
	    "int *" to "unsigned *" to match function definitions.
	* src/unibmp2hex.c:
	  - Added double-width block U+11B60..U+11B7F (Sharada Supplement).
	* src/unipagecount.c: added parameter to strlen prototype.

2025-05-31  Paul Hardy <unifoundry@gmail.com>
	* Version 16.0.04.
	* font/Makefile:
	  - Invoke "make" in plane0Fcsur directory, to run new Makefile.
          - Changed "convert" to "magick" for creation of thumbnails.
	  - Remove Variation Selectors (U+FE00..U+FE0F, U+E0100..U+E01EF)
	    from ordinary TrueType and OpenType font builds; leave in
	    the sample and SBIT font builds.
	* font/plane00/unifont-base.hex:
	  - Modified archaic Greek letter digamma (U+03DC, U+03DD).
	  - David Corbett modified Arabic glyphs U+0610, U+0616, U+061E,
	    U+0620, and U+0626.
	  - Johnnie Weaver modified some Georgian Supplement glyphs
	    (U+2D00..U+2D2F).
	  - Modified Korean Won currency symbol, U+20A9, to only have one bar.
	  - 晓晓_Akatsuki (Xiao_Akatsuki) modified U+2EB2 per Unicode updates.
	  - David Corbett redrew the yeh-based glyphs in the ranges
	    U+FC31..U+FDC7 (Arabic Presentation Forms-A) and U+FE89..U+FE8C
	    (Arabic Presentation Forms-B).
	* font/plane01/plane01.hex:
	  - Updated Old Turkic glyph U+10C47.
	  - Updated Khitan Small Script glyph U+18CCA.
	  - Reverted several changes in Musical Symbols (U+1D100..U+1D1FF)
	    for better positioning with combining characters.  Thanks to
	    David Corbett for requesting the changes.
	  - Modified mathematical bold digamma (U+1D7CA, U+1D7CB).
	  - Updated some emojis with those contributed by Josh Hufford:
	    U+1F602, U+1F605, U+1F606, U+1F607, U+1F609, U+1F923, and U+1FAE0.
	* font/plane0Fcsur:
	  - Added plane0Fcsur-unassigned-ranges.txt.
	  - Added Makefile, to build plane0Fcsur-unassigned.hex from
	    plane0Fcsur-unassigned-ranges.txt.
	  - Added plane0Fcsur-spaces.hex for Derani non-breaking space.
	  - plane0Fcsur-combining.txt: added Zbalermorna (U+F28A0..UU+F28DF).
	  - plane0Fcsur.hex:
	    o Added Titi Pula (U+F1C40..UU+F1C7F).
	    o Added Zbalermorna (U+F28A0..UU+F28DF).
	    o soweli Kape and NikZapp updated these glyphs:
	      - U+F1900..U+F19FF (Sitelen Pona)
	      - U+F1C80..U+F1C9F (Sitelen Pona Radicals)

2025-04-19  Paul Hardy <unifoundry@gmail.com>
	* Version 16.0.03.
	* Updated copyrights for 2025.
	* font/coverage.dat:
	  - Extended Egyptian Hieroglyph Format Controls to span
	    U+13430..U+1345F.
	  - Added "03134B-03134F Unassigned" at the end of CJK Unified
	    Ideographs Extension G range.
	  - Removed some comments.
	* font/plane00/unifont-base.hex:
	  - David Corbett:
	    o Redrew some Arabic glyphs for consistency. Most of these
	      are minor changes to baseline, i‘jam positioning, or making
	      a derived letter match its origin letter.  Code points:
	      U+0625, U+0634, U+0673, U+06B9, U+06BC, U+0753, U+0754,
	      U+0757, U+075C, U+0762, U+0767, U+0769, U+076A, U+076D, 
	      U+0770, U+0775, U+0776, U+0777, U+077D, U+077E, U+08A1, 
	      U+08A2, U+08A3, U+08A6, U+08A8, U+08B1, U+08BB, and U+08BC.
	    o Redrew some Arabic Presentation Forms:
	      U+FD42, U+FD43, U+FD44, U+FD45, U+FDF0, U+FDF1, U+FDF4,
	      U+FDF6, U+FDF7, U+FDFA, U+FDFB, U+FDFC, U+FE87, U+FE88,
	      U+FEB5, and U+FEB6.
	    o Modified the top serifs of two Latin fullwidth letters,
	      U+FF44 and U+FF4B.
	* font/plane00/wqy.hex: 晓晓_Akatsuki (Xiao_Akatsuki) submitted
	  modifications from the team of 湖 远星:
	  - Improved 褝 (U+891D) and 肞 (U+809E).
	  - Updated to reflect current Unicode rendering:
	    㳽 (U+3CFD), 㸿 (U+3E3F), 䑮 (U+446E), 䒳 (U+44B3), 䕈 (U+4548),
	    and 䩶 (U+4A76).
	  - Updated as per GB18030-2022 change: 垕 (U+5795).
	  - Modified to comply with the GB18030-2022 standard pertaining to
	    character composition:
	    o 姉 (U+59C9): This character is a phono-semantic character.
	      Therefore, the right side should be "市" (U+5E02) instead
	      of "巿" (U+5DFF).
	    o 濲 (U+6FF2): This character is a variant of "瀔" (U+7014),
	      and the "穀" (U+7A40) on the right side of "瀔" (U+7014) is
	      a phono-semantic character, and its "semantic" part is "禾"
	      (U+79BE), not "木" (U+6728).
	    o 膥 (U+81A5): This character is a Cantonese character for "egg".
	      Not yet (未) Become (成) Meat (肉) → Egg, so the upper left
	      corner should be "未" (U+672A), not "末" (U+672B).
	* font/plane01/plane01.hex:
	  - Added new glyphs in Egyptian Hieroglyph Format Controls
	    (U+13430..U+1345F). [Savannah bug 66613]
	  - Modified U+1D16D, U+01D17C, U+01D17D, U+01D17E, U+01D17F,
	    U+01D180, U+01D182, U+01D1AB, and U+01D1AD.
	  - David Corbett modified some Musical Symbols to be one cell wide
	    where they were two cells wide, but with the right cell blank:
	    U+01D1DE, U+01D1DF, U+01D1E0, U+01D1E2, U+01D1E3, U+01D1E4,
	    U+01D1E5, U+01D1E6, U+01D1E7, and U+01D1E8.
	* font/plane01/plane01-noscript.hex:
	  - Removed range U+13440..U+1345F, which has been added to
	    Egyptian Hieroglyph Format Controls.
	* font/plane01/unassigned-ranges.txt:
	  - Changed Egyptian Hieroglyph Format Controls unassigned
	    range to U+013456..U+01345F.
	* font/plane02/zh-plane02.hex:
	  - 晓晓_Akatsuki modified U+25ED7 from 16 columns wide to 15 columns.
	  - Hayden Wong contributed U+29B00..U+29CFF.
	  - Cod'dte sent a corrected left-hand side of U+2EE57.
	* font/plane03/jp-plane03.hex:
	  - Luke036 has drawn a much-improved glyph for taito (U+3106C).

2024-12-01  Paul Hardy <unifoundry@gmail.com>
	* Version 16.0.02.
	* font/plane00/unifont-base.hex:
	  - Johnnie Weaver modified Cherokee glyph U+13C9 and
	    Cherokee Supplement glyph U+AB99.
	* font/plane00/wqy.hex:
	  - 湖 远星 modified U+6A37 to match the change effective as of
	    Unicode 6.0.
	  - 湖 远星 fixed errors in U+60C5 and U+6669.
	* font/plane01/plane01.hex:
	  - U+10880..U+108AF (Nabataean) and U+108E0..U+108FF (Hatran):
	    Johnnie Weaver modified many glyphs so these scripts are now
	    completely half-width.
	  - U+11380..U+113FF (Tulu-Tigalari) Paul Hardy modified several
	    glyphs, with recommendations from David Corbett.
	  - U+11F5A: Paul Hardy modified the strokes to resemble U+11F49.
	    Thanks to David Corbett for suggesting this.
	  - U+18B2D: Xiao_Akatsuki (晓晓_Akatsuki) fixed a missing
	    vertical stroke.
	  - U+1F232: 湖 远星 added more space between left and right sides.
	* font/plane01/plane01-combining.txt
	  - Paul Hardy removed U+113D1 (Tulu-Tigalari REPHA).  Thanks to
	    David Corbett for noticing that.
	* font/plane02/plane02-zh.hex:
	  - Hayden Wong modified four ideographs to fit within
	    15 columns: U+20083, U+20087, U+20089, and U+200B4.
	  - 晓晓 Akatsuki contributed the missing glyphs in U+207xx.
	  - 湖 远星 modified U+28A0F, U+28B4E, U+2CB5B, and U+2CB73
	    to be 15 columns wide.
	  - Hayden Wong completed U+29D00..U+29DFF.
	  - Hayden Wong added U+2B64E, which is an incorrect variant
	    of U+513A (儺).
	  - Removed U+2C7EC glyph; it was the glyph for U+2CE7C.
	    Thanks to Boris Zhang for noticing that.

2024-09-10  Paul Hardy <unifoundry@gmail.com>
	* Version 16.0.01.
	* font/Makefile:
	  - Backed out changes from Unifont 15.1.04, which broke building
	    on Macs.
	  - Added creation of unifont-combining-$(VERSION).txt to
	    include combining data for all glyphs.
	    [Savannah Support Request #110954]
	  - Removed use of files unifont_jp-plane0[23].hex and
	    unifont_zh-plane0[23].hex, which are replaced with
	    new files jp-upper.hex and zh-upper.hex, respectively.
	  - Invoke new shell script font/build-cjk-upper to build
	    sets of upper-plane Chinese and Japanese variants.
	  - Prepare "plane02-zh" and "plane03-zh" glyphs from a
	    superset of all available Chinese-variant glyphs plus
	    glyphs from JIS X 0213 that do not have Chinese versions
	    drawn in Unifont.  The full set of these glyphs are
	    taken from the newly-constructed file compiled/zh++.hex.
	  - Use the above-mentioned ZH and JP glyph supersets to form
	    the unifont_plane2_zh-16.0.01.bmp, unifont_plane2_jp-16.0.01.bmp,
	    and unifont_plane3_zh-16.0.01.bmp images.
	  - Added "thumbnails" target to create "bigpic" target thumbnails
	    using ImageMagick's "convert" program.
	* font/build-cjk-upper:
	  - Added new shell script to build Plane 2 and Plane 3 elements
	    of CJK glyphs, with Japanese and Chinese variants.
	* font/coverage.dat: updated for Unicode 16.0.0.
	* font/plane00/unifont-base.hex:
	  - Moved U+0000..U+001F glyphs to plane00-nonprinting.hex.
	  - David Corbett contributed Arabic Extended-B glyph U+0897.
	  - Johnnie Weaver:
	    o Modiified Cherokee glyphs U+13C9 and U+AB99.
	    o Changed these glyphs to half-width:
	      U+210E, U+210F, U+212E, U+212F, U+2300, U+2329, U+232A, U+2610,
	      U+2611, U+2612, U+2713, U+2717, U+A728, U+A729, U+A732, U+A733,
	      U+A734, U+A735, U+A736, U+A737, U+A738, U+A739, U+A73A, U+A73B,
	      U+A73C, U+A73D, U+A74E, U+A74F, U+A758, U+A759, U+A771, U+A772,
	      U+A773, U+A774, U+A775, U+A776, U+A777, U+A797, U+A7C2 & U+A7C3.
	  - Added Balinese glyphs U+1B4E, U+1B4F, and U+1B7F.
	  - Added Cyrillic Extended-C glyphs U+1C89 and U+1C8A.
	  - Added U+211F, accidentally deleted in Unifont 15.1.05.
	  - Modified U+213D DOUBLE-STRUCK SMALL GAMMA following
	    suggestion of anonymous1.
	  - Rebecca Bettencourt contributed Control Pictures glyphs
	    U+2427..U+2429.
	  - Boris Zhang redrew the Suzhou Numerals six through nine
            (U+3026..U+3029).  [Glyph names are incorrectly called
	    Hangzhou Numerals in the Unicode Standard, but their names
	    cannot be changed even though incorrect].
	  - Yzy32767 redrew the Bopomofo glyphs (U+3105..U+312F) in
	    a Kai (楷) style.
	  - 湖 远星 drew CJK Strokes glyphs for U+31D2 (modified
	    in Unicode 16.0.0), and the new glyphs U+31E4 and U+31E5.
	  - Added Hangul Filler glyph U+3164 back after accidental deletion.
	  - Made U+A797 one pixel taller to match height of U+0062 ('b');
	    thanks to David Corbett for noticing that.
	  - Added Latin Extended-D glyphs U+A7CB..U+A7CD, U+A7DA..U+A7DC.
	* font/plane00/wqy.hex:
	  - Hayden Wong modified U+3862 per Unicode 15.1.0 change.
	  - Changed the Japanese glyph U+5909 from a Japanese style to
	    the original simplified Chinese version in Wen Quan Yi now
	    that Unifont has separate Japanese and Chinese variants.
	    Thanks to anonymous1 for recommending this change.
	* font/plane00csur:
	  - Rebecca Bettencourt contributed glyphs for Herman Miller's
	    previously missing scripts in the range U+E400..U+E59F.
	  - Rebecca Bettencourt contributed glyphs for Amlin (U+E6D0..U+E6EF).
	  - Rebecca Bettencourt contributed two missing Unifon glyphs:
	    U+E6FD and U+E73D.
	  - Danae Dekker contributed glyphs for two scripts that he
	    created: Cylenian (U+EC00..U+EC2F) and Syrrin (U+EC30..U+EC6F).
	    Rebecca Bettencourt has added these scripts to the UCSUR.
	  - Moved Whitaker Hexadecimal Numerals to U+ECF0..U+ECFF, per
	    the latest UCSUR assignment.
	  - Rebecca Bettencourt contributed Graflect glyphs (U+EC70..U+ECEF).
	* font/plane01/plane01.hex:
	  - Johnnie Weaver contributed:
	    o U+10D40..U+10D8E Garay.
	    o U+105C0..U+105FF Todhri
	    o U+11BC0..U+11BFF Sunuwar
	    o U+16D40..U+16D7F Kirat Rai
	    o Khitan Small Script: modified U+18BD2 and added U+18CFF.
	    o U+1E5D0..U+1E5FF Ol Onal.  
	  - David Corbett contributed new Arabic Extended-C glyphs
	    U+10EC2..U+10EC4 and U+10EFC.
	  - Added Tulu-Tigalari glyphs U+11380..U+113E2.
	  - Added Myanmar Extended-C glyphs U+116D0..U+116E3.
	  - Added Kawi glyph U+11F5A.
	  - Rebecca Bettencourt contributed glyphs for the new range
	    Symbols for Legacy Computing Supplement (U+1CC00..U+1CEB3).
	  - anonymous1 contributed U+1F200 and U+1F483.
	  - Rebecca Bettencourt contributed the new glyphs in Supplemental
	    Arrows-C,(U+1F8B2..U+1F8BB, U+1F8C0, and U+1F8C1).
	  - Added new glyphs in Symbols and Pictographs Extended-A: U+1FA89,
	    U+1FA8F, U+1FABE, U+1FAC6, U+1FADC, U+1FADF, and U+1FAE9.
	  - Rebecca Bettencourt contributed the new glyphs in Symbols for
	    Legacy Computing (U+1FBCB..U+1FBEF).
	* font/plane02/zh-plane02.hex:
	  - Hayden Wong contributed U+20020..U+2004F and U+29E00..U+2A0FF.
	  - twuchiutann contributed U+20050..U+2073F.
	  - Boris Zhang redrew CJK Unified Ideographs Extension D glyphs
	    U+2B75F and U+2B76B.
	  - Boris Zhang redrew CJK Unified Ideographs Extension I glyphs
	    U+2B7EF, U+2EC1F, U+2EC20, U+2EC21, U+2EC2F, U+2EC6F, U+2ECBF,
	    U+2ECEC, and U+2ED42.
	  - 湖 远星 contributed the following glyphs, which are common
	    in Cantonese, Hokkien, Hakka, etc., from a list given in
	    the Ichiten font.
            o CJK Unified Ideographs Extension B glyphs:
	      U+203B7 𠎷, U+20546 𠕆, U+20584 𠖄, U+205FB 𠗻, U+207A9 𠞩,
	      U+207AD 𠞭, U+20803 𠠃, U+2081D 𠠝, U+20895 𠢕, U+20BD7 𠯗,
	      U+20C41 𠱁, U+20CBF 𠲿, U+20CD4 𠳔, U+20D5D 𠵝, U+20D71 𠵱,
	      U+20DA7 𠶧, U+20E76 𠹶, U+20E98 𠺘, U+20ED8 𠻘, U+20F3B 𠼻,
	      U+20F7E 𠽾, U+21014 𡀔, U+210AB 𡂫, U+210F6 𡃶, U+21145 𡅅,
	      U+2176D 𡝭, U+217D3 𡟓, U+2180D 𡠍, U+21883 𡢃, U+2197C 𡥼,
	      U+21C2A 𡰪, U+21CA2 𡲢, U+21CDE 𡳞, U+21DD1 𡷑, U+21F0F 𡼏,
	      U+221A1 𢆡, U+22399 𢎙, U+224DC 𢓜, U+2251B 𢔛, U+22775 𢝵,
	      U+22AB1 𢪱, U+22AE6 𢫦, U+22BED 𢯭, U+22BFE 𢯾, U+22C4B 𢱋,
	      U+22C62 𢱢, U+22C64 𢱤, U+22CB4 𢲴, U+22CB8 𢲸, U+22CC6 𢳆,
	      U+22CEA 𢳪, U+22D80 𢶀, U+22F0C 𢼌, U+22F1B 𢼛, U+23073 𣁳,
	      U+23074 𣁴, U+23350 𣍐, U+236BA 𣚺, U+236EE 𣛮, U+23B88 𣮈,
	      U+23CA9 𣲩, U+23EF8 𣻸, U+23F0E 𣼎, U+240D2 𤃒, U+241AC 𤆬,
	      U+24259 𤉙, U+242B6 𤊶, U+2430D 𤌍, U+24352 𤍒, U+24364 𤍤,
	      U+24419 𤐙, U+24430 𤐰, U+24605 𤘅, U+2479A 𤞚, U+24C8D 𤲍,
	      U+24D80 𤶀, U+24D83 𤶃, U+24E01 𤸁, U+24E31 𤸱, U+24E85 𤺅,
	      U+24EA7 𤺧, U+24EAA 𤺪, U+25148 𥅈, U+2517E 𥅾, U+2531A 𥌚,
	      U+25349 𥍉, U+25435 𥐵, U+2546E 𥑮, U+257C7 𥟇, U+25BDF 𥯟,
	      U+25BE5 𥯥, U+25C14 𥰔, U+25D0A 𥴊, U+25E86 𥺆, U+2624E 𦉎,
	      U+26293 𦊓, U+26706 𦜆, U+267EA 𦟪, U+2688A 𦢊, U+2690E 𦤎,
	      U+26E05 𦸅, U+2725F 𧉟, U+27304 𧌄, U+27371 𧍱, U+27486 𧒆,
	      U+277F0 𧟰, U+279A0 𧦠, U+27A63 𧩣, U+27B2A 𧬪, U+27B99 𧮙,
	      U+27EF4 𧻴, U+27FC1 𧿁, U+27FEC 𧿬, U+27FF3 𧿳, U+280BE 𨂾,
	      U+280BF 𨂿, U+280E9 𨃩, U+280F0 𨃰, U+28154 𨅔, U+282CD 𨋍,
	      U+2837D 𨍽, U+2838A 𨎊, U+28487 𨒇, U+28595 𨖕, U+28891 𨢑,
	      U+28D99 𨶙, U+28E39 𨸹, U+2945D 𩑝, U+2947E 𩑾, U+294E5 𩓥,
	      U+296A8 𩚨, U+296E9 𩛩, U+29704 𩜄, U+29730 𩜰, U+29D71 𩵱,
	      U+29DD3 𩷓, U+29E19 𩸙, U+29E36 𩸶, U+29EAC 𩺬, U+29F27 𩼧,
	      U+29F30 𩼰, U+29F48 𩽈, U+29F70 𩽰, U+2A04E 𪁎, U+2A0BA 𪂺,
	      U+2A1E1 𪇡, U+2A41E 𪐞, U+2A590 𪖐, U+2A612 𪘒, and U+2A64A 𪙊
            o CJK Unified Ideographs Extension C glyphs:
	      U+2A736 𪜶, U+2AE5A 𪹚, and U+2B4A2 𫒢
            o CJK Unified Ideographs Extension E glyphs:
	      U+2B8C6 𫣆, U+2C816 𬠖, and U+2C9B0 𬦰.
	* font/plane03/jp-plane03.hex: Added glyph for U+3106C that
	  had been in font/plane03/zh-plane03.hex.
	* font/plane03/zh-plane03.hex:
	  - twuchiutann modified the original U+30EDD and U+30EDE
	    (biang) to differentiate between traditional and simplified
	    Chinese versions.
	  - 湖 远星 contributed the following glyphs, which are common
	    in Cantonese, Hokkien, Hakka, etc., from a list given in
	    the Ichiten font.
	    o CJK Unified Ideographs Extension G glyphs:
	      U+301DB 𰇛, U+308FB 𰣻, and U+30E6C 𰹬
	    o CJK Unified Ideographs Extension H glyph: U+31C7F 𱱿. 
	  - Moved U+03106C to new file, font/plane03/jp-plane03.hex.
	* font/plane0Fcsur:
	  - Drew glyphs for Sitelen Pona Radicals (U+F1C80..U+F1C9C).
	  - Rebecca Bettencourt contributed glyphs for Derani
	    (U+F16B0..U+F16DF).
	  - Rebecca Bettencourt contributed glyphs for Sadalian
	    (U+F2000..U+F267F).

2024-02-24  Paul Hardy <unifoundry@gmail.com>
	* Version 15.1.05.
	* font/plane00/unifont-base.hex:
	  - Ho-seok Ee contributed replacement Hangul glyphs to match
	    the style of the Hangul Syllables range in these ranges:
	    o U+1100..U+11FF Hangul Jamo
	    o U+3130..U+318F Hangul Compatibility Jamo
	    o U+A960..U+A97F Hangul Jamo Extended-A
	    o U+D7B0..U+D7FF Hangul Jamo Extended-B
	  - Hayden Wong contributed 11 redrawn Letterlike Symbols:
	    U+210A, U+210B, U+2110, U+2112, U+211B, U+212C, U+212F,
	    U+2130, U+2131, U+2133, and U+2134.
	  - Johnnie Weaver contributed U+013D LATIN CAPITAL LETTER L WITH
	    CARON, to more closely resemble the glyphs he drew for better
	    Czech and Slovak support.  He also redrew Miscellaneous Symbols
	    musical notation glyphs U+266D, U+266E, U+266F, and the
	    glyph U+26BC, SESQUIQUADRATE.
	* font/plane02/zh-plane02.hex:
	  - Added 529 new glyphs contributed by 湖 远星, Boris Zhang, and
	    Yzy32767, including:
	    o 281 Cantonese ideographs from 湖 远星.
	    o The 222 CJK Unified Ideographs Extension D, U+2B740..U+2B81D
	      from Boris Zhang and Yzy32767.
	    o Improvements to CJK Unified Ideographs Extension I by Boris
	      Zhang and Yzy32767.
	* font/plane03/zh-plane02.hex:
	  - 54 Cantonese ideographs from 湖 远星.
	* font/plane0Fcsur: Sitelen Pona modified to match the latest chart
	  updates at https://www.kreativekorp.com/ucsur/charts/sitelen.html
	  (thanks to kije Enki for mentioning the discrepancies):
	  - U+F1992..U+F199B changed to be combining glyphs.
	  - U+F1995..U+F199B nonprinting code points modified.
	  - Added U+F199C SITELEN PONA MIDDLE DOT and U+F199D SITELEN
	    PONA COLON.

2023-10-29  Paul Hardy <unifoundry@gmail.com>
	* Version 15.1.04
	* Makefile: ignore error in Doxygen building.
	* doxygen/new_header.tex: change to run LaTeX in non-stop mode.
	* font/Makefile: Modified construction of unifont_upper and
	  unifont_upper_jp to have larger supersets of Plane 2 and Plane 3
	  glyphs.
	* font/plane00/unifont-base.hex:
	  Johnnie Weaver updated U+266D, U+266E, U+266F, and U+26BC.
	* src/Makefile: added flags for compilation of unihexpose.

2023-10-21  Paul Hardy <unifoundry@gmail.com>
	* Version 15.1.03
	* Doxyfile: set LATEX_HEADER to newly-made doxygen/new_header.tex.
	* doxygen directory:
	  - Used doxygen to generate default versions of new_footer.tex,
	    new_header.tex, and new_stylesheet.sty.
	  - Modified new_header.tex to undefine \+ command to avoid
	    tabbing error bug.
	* font/Makefile:
	  - Updates to building .hex output files so CJK Unified Ideographs
            Extension I glyphs and others would appear in the Japenese
	    variation as well as the Chinese (default) variation, and
	    removal of duplicate U+0020 space glyphs in some output .hex files.
	* font/plane00/wqy.hex:
	  - 湖 远星 contributed updates for U+5C81 and U+6708.
	* font/plane02/zh-plane02.hex:
	  - 湖 远星 contributed 14 glyph updates to CJK  Unified Ideographs
	    Extension B and Extension C: U+2A6D7..U+2A6DF and
	    U+2B735..U+2B739.
	  - Boris Zhang and Yzy32767 contributed CJK Unified Ideographs
	    Extension I glyphs (U+2EBF0..U+2EE5D).
	* src: Full prototype and typecasting definitions in main functions
	  in unicoverage.c, unifontpic.c, unihex2bmp.c, and unipagecount.c.

2023-09-21  Paul Hardy <unifoundry@gmail.com>
	* Version 15.1.02.
	* font/Makefile: commented out duplicate $(HANGUL) target.
	* font/plane00/wqy.hex: 湖 远星 updated glyphs for U+3B9D,
	  U+49C8, U+4C41, U+4DB8, U+4DBA, U+4DBB, U+4DBC, U+4DBD,
	  U+4DBE, U+4DBF, U+517B, U+54C8, U+5A92, U+5C16, U+5F3A,
	  U+5F73, U+5FD7, U+636E, U+64C5, U+6B89, U+6E05, U+7070,
	  U+7EA6, U+809E, U+891D, U+8D4C, U+8F9E, U+9001, U+9EC4,
	  U+9FD0, U+9FEC, U+9FED, U+9FEE, U+9FF0, U+9FF2, U+9FF3,
	  U+9FF4, U+9FF5, U+9FF6, U+9FF7, U+9FF8, U+9FF9, U+9FFB,
	  U+9FFC, U+9FFD, and U+9FFE.
	* font/plane03/zh-plane03.hex: 湖 远星 contributed glyphs
	  U+30000..U+3017F.
	* man/Makefile: added new man pages to MAN1PAGES & MAN5PAGES
	  definitions.

2023-09-12  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.1.01.
	* All Makefile files: changed "\rm" to "rm" for Cygwin.
	* ChangeLog: Fixed numerous typos.
	* Doxyfile: Changed CREATE_SUBDIRS to "NO", because setting
	  "CREATE_SUBDIRS_LEVEL = 0" still created more than 16 subdirectories.
	* Makefile:
	  - Added more comments.
	  - Changed "tar cf" to "tar chf" for Cygwin.
	* README: Added description of using Hangul johab 6/3/1
	  glyphs as the Unicode Plane 0 PUA glyphs.
	* doc/hexdraw.texi: updated to cover --height option.
	* doc/unifont.texi:
	  - Included the new graphic image he-zhixiang.png to display
	    the name 何志翔 (He Zhixiang).
	  - Mentioned "row" being the Unicode term equivalent to the
	    Unifont term "page".
	* font/Makefile:
	  - No longer build or install TrueType font files in the
	    default build; OpenType font files have taken their place.
	    TrueType files must now be built manually by invoking the
	    command "make truetype" in the "font" directory.
	  - Modified to support independent invocation of commands
	    "make truetype", "make opentype", "make pcf", and "make bdf",
	    including creation of $(BINDIR) with compiled programs if
	    if doesn't exist, so the above "make" commands can be
	    given directly in the "font" directory as the only "make"
	    operation if desired.
	  - Fixed plane00.html and plane01.html creation so they are no
	    longer empty.
	  - Added Ho-Seok Ee (hoseok.ee@gmail.com), creator of the new
	    modern Hangul Syllables glyphs with new johab 6/3/1 encoding,
	    to the COPYRIGHT string.
	* font/otfsrc/Makefile:
	  - Added Ho-Seok Ee, creator of the new modern Hangul Syllables
	    glyphs with new johab 6/3/1 encoding, to the COPYRIGHT string.
	* font/plane00/alt/old-wqy.hex: removed file after review.
	* font/plane00/hangul:
	  - Moved original hangul directory to font/plane00/hangul-johab1044.
	  - Created new hangul directory with new Johab 6/3/1 encoding scheme.
	  - Start "hangul-base.hex" code points at 0xE000 so that file
	    can be used in the Unicode Plane 0 Private Use Area if desired.
	* font/plane00/izmg16-plane00.hex: removed U+FFxx.
	* font/plane00/plane00-unassigned.hex: removed U+2FFC..U+2FFF,
	  U+31EF.
	* font/plane00/unifont-base.hex:
	  - Johnnie Weaver modified U+0132 and U+0133 ("IJ" ligatures).
	  - Johnnie Weaver modified U+1E9E (LATIN CAPITAL LETTER SHARP S).
	  - Modified U+2CC2 COPTIC CAPITAL LETTER CROSSED SHEI and
	    U+2CC3 COPTIC SMALL LETTER CROSSED SHEI for consistency
	    with the redrawn U+03E2 COPTIC CAPITAL LETTER SHEI and
	    U+03E3 COPTIC SMALL LETTER SHEI.  Thanks to David Corbett
	    for noticing that.
	  - Redrew Ideographic Description Characters (U+2FF0..U+2FFB)
	    for consistency and added new glyphs (U+2FFC..U+2FFF).
	  - Added CJK Strokes glyph U+31EF.
	  - Modified Latin glyphs U+A798 (LATIN CAPITAL LETTER F WITH STROKE)
	    and U+AB5A (LATIN SMALL LETTER Y WITH SHORT RIGHT LEG) per
	    Unicode 15.1.0 changes.
	  - Modified star glyphs U+2605, U+2606, and U+2BE8 for consistency.
	    [Savannah bug #64598]
	* font/plane00/wqy.hex:
	  - Made modifications to Korean ideographs in CJK Unified Ideographs
	    Extension A (U+3400..U+4DBF) per Unicode 15.1.0 changes.
	  - Modified CJK Unified Ideographs Extension A U+3B9D, U+454E,
	    U+49C8 (from 湖 远星) and U+56B8.
	  - Modified CJK Unified Ideographs Extension U+809E and U+891D.
	* font/plane00csur: Added three hexadecimal notation scripts.
	  - U+EBE0..U+EBEF: Added Boby Lapointe's "bibi-binary" notation.
	  - U+EBF0..U+EBFF: for Bruce Alan Martin's bit location notation.
	  - U+ECF0..U+ECFF: for Ronald O. Whitaker's triangular notation.
	* font/plane01/plane01.hex:
	  - Added missing pixel in U+11240 (KHOJKI LETTER SHORT I).
	  - Moved U+11AC7 down one row.
	  - Modified Alchemical Symbols (U+1F700..U+1F77F) per Unicode
	    15.1.0 changes.
	  - Johnnie Weaver modified Lycian glyphs at U+1028E, U+1028F,
	    U+10298, and U+1029A from double-width to single-width.
	    He also modified Carian glyphs at U+102B0 and 102B7 from
	    double-width to single-width.  Now all glyphs in those two
	    scripts are single-width.
	* font/ttfsrc/Makefile:
	  - Added Ho-Seok Ee, creator of the new modern Hangul Syllables
	    glyphs with new johab 6/3/1 encoding, to the COPYRIGHT string.
	* man: Added man pages for the new Hangul johab 6/3/1 encoding
	  and supporting programs: unifont-johab631.5, johab2syllables.1,
	  unigen-hangul.1, and unijohab2html.1.
	* man/hex2otf.1: added additional explanation of "gsub" format
	  option improving HarfBuzz rendering of Unifont.
	* man/hexdraw.1: updated to cover --height option.
	* src:
	  - Makefile: added C99 definition for ease of overriding on
	    the command line make invocation, if desired, when compiling
	    hex2otf.
	  - hexdraw: updated to support --height option for glyphs uo to
	    128 columns wide by 64 rows high.
	  - Added files for new Hangul johab 6/3/1 support: hangul.h,
	    unihangul-support.c, johab2syllables.c, unigen-hangul.c,
	    and unijohab2html.c.
	  - Added new program unihexpose, which coverts Unifont glyphs
	    into transposed sets of 8 rows per byte per column, to simplify
	    output on graphics displays with controller chips that can
	    autoincrement across the display one column of 8 pixels at
	    a time.  This uses functions in the new file unifont-support.c;
	    currently no other programs use unifont-support.c, to avoid
	    introducing bugs into existing programs during a major Unicode
	    release.

2023-06-04  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.0.06.
	* font/plane00/hangul/hanbase-*.bmp: Minseo Lee made adjustments
	  to some component glyphs used to generate the Hangul Syllables
	  (U+AC00..U+D7A3) range.
	* font/plane00/unifont-base.hex: Minseo Lee contributed Hangul glyphs
	  in the ranges U+3131..U+318E, U+3200..U+321E, and U+3260..U+327F
	  for consistency with the new Hangul Syllables glyphs.

2023-06-03  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.0.05.
	* Doxyfile:
	  - Corrected MATHJAX_VERSION to "MathJax_2", although MathJax
	    is not invoked.
	  - Left PROJECT_NUMBER at "15.0.04" because C source programs
	    did not change.
	* font/Makefile:
	  - Changed copyright string to extend to 2023 and added Minseo Lee.
	  - Added new directory plane00/hangul to list of directories for
	    performing "make clean" and "make distclean".
	* font/plane00/alt/hangul: Added directory for building the
	  old Hangul Syllables block, with the old version of johab2ucs2.
	* font/plane00/wqy-orig.hex: Created file to hold replaced Wen
	  Quan Yi glyphs.
	* font/plane00/hangul: Added directory with sample Makefile for
	  building Hangul syllables from scratch, using three .bmp images
	  as initial input.
	* font/plane00/hangul-syllables.hex: New Hangul Syllables block
	  contributed by Minseo Lee.  The old hangul-syllables.hex file
	  has been removed and replace with the much smaller hangul-base.hex
	  file in font/plane00/alt directory, from which it can be recreated
	  (see font/plane00/hangul/README for more information).
	* font/plane00/wqy.hex: Modified U+5829 and U+6FF9.
	* font/otfsrc/Makefile:
	  - Changed copyright string to extend to 2023 and added Minseo Lee.
	* font/ttfsrc/Makefile:
	  - Changed copyright string to extend to 2023 and added Minseo Lee.
	* src/johab2ucs2:
	  - Minseo Lee changed some letter mapping combinations.
	  - Paul Hardy changed test conditions for ..."or die" statement.

2023-05-28  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.0.04.
	* Doxygen LaTeX output verified not to trigger tabu.sty bug in tables
	  when built using doxygen 1.8.20 and texlive-20230311.
	* font/plane00/unifont-base.hex:
	  - Modified several Greek and Coptic letters in the range U+0370..
	    U+03FF: tonos moved down and to the left of capital vowels,
	    some baselines and x-heights changed for consistency, etc.
	* font/plane00csur:
	  - Added Engsvanáli (U+E100..U+E14F) to plane00csur.hex.
	  - Added Engsvanáli (U+E100..U+E14F) combining marks to
	    plane00csur-combining.hex.
	  - Removed U+E13F from unassigned-ranges.txt.
	* font/plane01/plane01.hex:
	  - Modified U+1F494 (Broken Heart) and U+1F498 (Heart with Arrow).

2023-05-21  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.0.03.
	* Makefile:
	  - Moved the "doxygen" target.
	  - Install unifont_all-$(VERSION).hex as $(PKGDEST)/unifont_all.hex.
	  - Install unifont.pdf Texinfo file in $(PKGDEST) directory.
	  - No longer install doxygen LaTeX build files in $(PKGDEST).
	* font/Makefile:
	  - Added Unicode Plane 3 glyphs (Chinese biang at U+30EDD and U+30EDE,
	    and Japanese Taito at U+3106C) to unifont_jp-$(VERSION).hex.
	  - Changed temporary 15.0.02 test coding to $(VERSION).
	  - Fixed generation of compiled/plane00.html.
	  - No longer compress unifont_all-$(VERSION).hex, given that
	    unifont_jp-$(VERSION).hex is not compressed.
	  - Install unifont_all.hex in the $(PKGDEST) directory.
	* src/Makefile: Fixed a typo that could cause "make install" to fail
	  [Savannah bug #64228].

2023-05-20  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.0.02.
	* Doxyfile: added for Doxygen annotation of C sources.
	* INSTALL: updated with doxygen documentation build instructions.
	* Makefile:
	  - Added support for Doxygen documentation generation with
	    the command "make doxygen".
	  - Uncommented "install" target lines that install text files
	    in $(PKGDEST).
	  - "install" target now installs Doxygen files in $(PKGDEST).
	  - "install" target installs unifont_jp.hex in $(PKGDEST)
	    [Savannah bug #63134].
	  - Removed VPATH, as it is not needed.  It could be needed in the
	    future if any files from the "lib" directory are required.
	* doxygen:
	  - Created new output directory for Doxygen documentation.
	  - doxygen/html/index.html contains browsable web documentation.
	  - doxygen/unifont-doxy.pdf contains hyperlinked PDF documentation.
	  - Building the Doxygen output requires the doxygen, graphviz,
	    and texlive packages.
	  - The PDF output uses XeLaTeX with the "xeCJK" and "times" packages.
	* font/Makefile:
	  - Defined USRDIR variable as "usr" by default and employed this
	    definition in console font and PCF font installation.  The
	    definition can be overridden in a calling Makefile or on the
	    command line to "usr/local" or other desired alternate path.
	  - Defined PREFIX variable as $(DESTDIR)/$(USRDIR) and used it
	    in path for font installation locations.
	  - Created "truetype" and "opentype" targets to allow building
	    TrueType and OpenType font files separately.
	  - Moved OpenType font creation from "ttf", "csurttf", and
	    "upperttf" targets to "otf", "csurotf", and "upperotf"
	    targets, respectively.
	  - Added "sampleotf" target to make Plane 0 non-Japanese,
	    Plane 0 Japanese, and Plane 1 sample book type OpenType fonts
	    with combining circles.  This is in preparation for eventually
	    removing TrueType font builds from the default build.
	  - Changed "OTFDEST" variable from "$(FONTDEST)/truetype/unifont"
	    to "$(FONTDEST)/opentype/unifont" [Savannah bug #63072].
	  - Set "OTFSRC" variable to point to new "font/otfsrc" directory.
	  - Added "hex-stamp" target so the now separate OpenType and
	    TrueType font builds do not invoke the "hex" target redundantly.
	  - Removed VPATH definition, with paths now being more explicit.
	  - Updated "precompiled" and "install" targets to reflect new
	    OpenType font files.
	  - Modified building of unifont_all-$(VERSION).hex to include
	    Plane 2 and Plane 3 Chinese glyphs, and gzip it.
	  - Updated "distclean" to remove new "hex-stamp" file with
	    "\rm -f *-stamp".
	  - "clean" target no longer removes font files under "font/compiled".
	  - Updated ".PHONY" target, removing "compiled" and "precompiled";
	    touch "font/compiled" and "font/precompiled" directories when
	    updated, to determine modification of their build dependencies.
	  - Added creation of unifont_jp-$(VERSION).bdf and
	    unifont_jp-$(VERSION).pcf upon request.
	  - Added Unicode Plane 2 and Plane 3 support for additional
	    Chinese ideographs.
	  - Created subdirectories for Plane 2 and Plane 3 Chinese glyphs.
	* font/coverage.dat:
	  - Updated ranges for CSUR/UCSUR scripts Amman-Iar, Streich,
	    and Xaîni.
	  - Updated for Plane 3 and above.
	* font/otfsrc/Makefile: New file in new "font/otfsrc" directory
	  to build OpenType fonts.
	* font/plane00/unifont-base.hex:
	  - Modified U+0123 to look more like the Latvian 'g' with cedilla.
	  - Modified U+0369, U+1DD4, and U+1DE7 from proposed changes by
	    Richard Becker.
	  - Johnnie Weaver modified Czech and Slovak glyphs U+010F,
	    U+013E, and U+0165.
	  - Johnnie Weaver adjusted U+26CA TURNED BLACK SHOGI PIECE.
	  - Adjusted heights of U+3001 and U+3002.
	  - Modified U+FE35 and U+FE36 to be vertical parentheses instead of
	    tortoise shell brackets.
	  - Incorporated Wen Quan Yi double-width glyphs into U+FFxx
	    with some modifications.
	  - Moved U+FFFC to plane00-nonprinting.hex and changed its
	    dotted outline to match the others.
	* font/plane00/wqy.hex:
	  - 湖 远星 modified U+9FC4, U+9FC6, U+9FCA, U+9FFA, and U+9FFF.
	* font/plane00csur/Makefile:
	  - Updated so individually built component .hex files remain
	    after distclean.
	  - No longer create "all" temporary subdirectory.
	  - No longer have an "all" "phony" target.
	* font/plane00csur/plane00csur-combining.txt:
	  - Removed unnecessary entries E05C, E05D, E06D, and E06E.
	* font/plane00csur/plane00csur.hex:
	  - Added Thelwik (U+E380..U+E3AF).
	* font/plane01/Makefile:
	  - Updated so individually built component .hex files remain
	    after distclean.
	  - No longer have an "all" "phony" target.
	* font/plane00csur/plane00csur-nonprinting.hex: Created empty file
	  as a placeholder.
	* font/plane01/plane01-space.hex: Renamed from font/plane01/space.hex.
	* font/plane01/plane01.hex:
	  - New skunk glyph (U+1F9A8) contributed by Curtis Mackie.
	  - Johnnie Weaver modified Cypro-Minoan glyph U+12FDF.
	* font/plane02/izmg16-plane02.hex
	  - Inserted preceding '0' so all code points are six digits long.
	* font/plane02/zh-plane02.hex:
	  - Created file with ideographs contributed by 湖 远星.
	* font/plane03/zh-plane03.hex:
	  - Created file with ideographs contributed by 湖 远星.
	  - Added biang ideographs with permission of their creator, Ming Fan.
	* font/plane0E:
	  - Makefile no longer creates "all" temporary subdirectory.
	  - Removed Tags from plane0E-nonprinting.hex.
	  - Added plane0E-unassigned.hex.
	* font/ttfsrc/Makefile:
	  - No longer invokes OpenType font builds, only TrueType font
	    builds.  OpenType fonts are now built in the newly-created
	    "font/otfsrc" directory.
	  - Updated "distclean" target to no longer check for "*.otf" files.
	  - Updated ".PHONY" target.
	* src:
	  - Annotated .c and .h files for Doxygen support.
	  - Added mainpage.dox file for Doxygen support.
	* src/Makefile:
	  - Removed PNGPROGS variable, as it was empty.
	  - Use LOCALBINDIR value for location of C and Perl program binaries.
	  - Removed VPATH, as it is not needed.  It could be needed in the
	    future if any files from the "lib" directory are required.
	* src/hex2otf.c, src/hex2otf.h:
	  - Extensive Doxygen annotations added.
	  - Temporary workarounds to the Doxygen LaTeX build handling Chinese:.
	    o Changed "何志翔 (He Zhixiang)" to "He Zhixiang" in comments.
	    o Changed UTF-8 characters in --version message to "\uxxxx" form.
	* src/hexmerge: Extended for use above Plane 0 by Paul Hardy;
	  bug reported by Curtis Mackie.

2022-09-13  Paul Hardy <unifoundry@unifoundry.com>
	* Version 15.0.01.
	* font/Makefile:
	  - Added OTFDEST definition for installing OpenType fonts.
	  - Install OpenType font files alongside TrueType font files,
	    tentatively in preparation for replacing TrueType font files
	    for the Unicode 16.0.0 release unless there is a reason to
	    install both.
	* font/plane00/plane00-unassigned.hex:
	  - Removed filler glyphs for two new Kannada and Lao glyphs.
	* font/plane00/unifont-base.hex:
	  - Paul Hardy:
	    o Added new Unicode 15.0.0 Kannada glyph U+0CF3.
	    o Added new Unicode 15.0.0 Lao glyph U+0ECE.
	    o Modified U+0264 (Latin Small Letter Ram's Horn) to more
	      closely  resemble its revised form, by request.
	  - David Corbett:
	    o Moved Arabic glyph U+08AC up.
	  - Johnnie Weaver adjusted U+26CA (Turned Black Shogi Piece).
	* font/plane00csur/plane00csur.hex:
	  - Added Syai (U+E1D0..U+E1FF).
	  - Added Sarkai (U+E360..U+E37F).
	  - David Corbett contributed Iranic (U+ED80..U+EDAF).
	* font/plane01/noscript-ranges.txt:
	  - Removed ranges for new Unicode 15.0.0 blocks.
	* font/plane00/unassigned-ranges.txt:
	  - Added unassigned ranges for newly-added glyph blocks and
	    filled in missing places in existing glyph blocks.
	* font/plane01/plane01.hex:
	  - Paul Hardy added new glyphs in these ranges:
	    o Khojki (U+1123F..U+11241).
	    o Devanagari Extended-A (U+11B00..U+11B5F).
	    o Kawi (U+11F00..U+11F5F).
	    o Kaktovik Numerals (U+1D2C0..U+1D2DF).
	    o Cyrillic Extended-D (U+1E030..U+1E08F).
	    o Transport and Map Symbol glyph U+1F6DC.
	    o Alchemical Symbols (U+1F700..U+1F77F).
	    o Geometric Shapes Extended glyph U+1F7D9.
	    o Symbols and Pictographs Extended-A (U+1FA70..U+1FAFF).
	  - David Corbett added new glyphs in these ranges:
	    o Arabic Extended-C (U+10EFD..U+10EFF), new in Unicode 15.0.0.
	    o Latin Extended-G (U+1DF25..U+1DF2A).
	  - Johnnie Weaver added new glyphs in these ranges:
	    o Small Kana Extension (U+1B132 and U+1B155).
	    o Nag Mundari (U+1E4D0..U+1E4FF).
	* src/unibmp2hex.c:
	  - Added as double-width scripts:
	    o Devanagari Extended-A (U+11B00..U+11B5F).
	    o Kawi (U+11F00..U+11F5F).

2022-06-04  Paul Hardy <unifoundry@unifoundry.com>
	* Version 14.0.04.
	* doc/unicoverage.texi:
	  - Documented new "-n" option.
	* font/coverage.dat:
	  - Added 0F1900-0F19FF PUA (CSUR/UCSUR): Sitelen Pona.
	* font/plane00/unifont-base.hex:
	  - U+16A0..U+16FF (Runic) David Corbett adjusted several glyphs
	    (Savannah bug 62500).
	  - U+A99A (Javanese) David Corbett removed a stray dot
	    (Savannah bug 62499).
	  - U+FC33 David Corbett corrected this Arabic glyph
	    (Savannah bug 62359).
	* font/plane01/noscript-ranges.txt:
	  - Adjusted ranges in U+11700..U+1174F for Ahom glyphs in Unicode
	    14.0.0 (Savannah bug 62331).
	* font/ttfsrc/Makefile:
	  - Removed "clean" from target "all" to support parallel builds,
	    as reported by Hideki Yamane (Savannah bug 62537).
	  - Changed "clean" target to remove *.hex and *.txt; no *.bdf
            files are copied to that directory now, so *.bdf was removed
	    from the "clean" target.
	  - Changed "distclean" target to remove *.sfd, *.ttf, and *.otf.
	* man/unicoverage.1:
	  - Documented new "-n" option.
	* src/unicoverage.c:
	  - Adjusted column spacing for better listing of Planes 1-15.
	  - Added "-n" option to print number of glyphs in each range
	    instead of percent coverage.

2022-04-17  Paul Hardy <unifoundry@unifoundry.com>
	* Version 14.0.03.
	* ChangeLog: fixed lines that do not begin with <TAB> character.
	* doc directory:
	  - Added hex2otf.texi, from hex2otf.1 man page written by
	    何志翔 (He Zhixiang).
	  - Removed a blank node in hex2bdf.texi.
	  - Updated other .texi files to refer to hex2otf and patched
	    some previous text.
	  - Added acute accent to "González" in hex2sfd.texi.
	  - Updated unifont.texi.
	* font/Makefile:
	  - Updated copyright for 2022.
	  - Updated font building to support hex2otf OpenType builds.
	  - Changed COMBINING environment variable for unifont_jp build
	    from "combining" to "combining-jp" for more stable parallel
	    font builds.
	* font/plane00csur/plane00csur.hex:
	  - Added Xaîni (U+E2D0..U+E2FF).
	  - Added Ophidian (U+E5E0..U+E5FF).
	  - Added Niji (U+ED40..U+ED5F).
	* font/plane00csur/combining.txt:
	  - Removed extraneous entries for Tengwar CSUR code points
	    U+E05C, U+#05D, U+E06D, U+E06E.
	* font/plane00csur/unassigned-ranges.txt:
	  - Modified for Xaîni, Unifon, Unifon Extended, Ophidian,
	    and Niji.
	* font/plane01/plane01-combining.txt:
	  - Removed extraneous code point U+11D92.
	* font/plane0Fcsur/plane0Fcsur.hex:
	  - Added Sitelen Pona (U+F1900..U+F19FF).
	  - Added Shidinn (U+F1B00..U+F1C3F).
	* font/plane0Fcsur/plane0Fcsur-nonprinting.hex:
	  - Added unassigned code points for Sitelen Pona (U+F1900..U+F19FF).
	  - Added unassigned code points for Shidann (U+F1B00..U+F1C3F).
	* font/ttfsrc/Makefile:
	  - Updated copyright for 2022.
	  - Added support for hex2otf OpenType font building.
	  - Modifiied "clean" and "distclean" targets to use FONTFILE and
	    COMBINING environment variables for more stable parallel font
	    builds.
	* man directory:
	  - Added hex2otf.1 man page for hex2otf program, written
	    by 何志翔 (He Zhixiang).
	  - Updated all other man pages to include hex2otf(1).
	  - Added acute accent to "González" in hex2sfd.1.  This
	    does not render in the man utility, but does with
	    groff output.
	* src/Makefile: Added support for the new hex2otf program.  This
	  includes compiling only the hex2otf.c program with the compile
	  flag "-std=c99", as the other C programs follow C89 syntax.
	  Adding this flag allows compiling on systems that still use
	  gcc 4.2.1 because of its being the last version of gcc that
	  was licensed under GPLv2.
	* src/hex2otf.c: Added new program, contributed by 何志翔
	  (He Zhixiang).  This program will directly convert Unifont
	  .hex file inputs to an OpenType font, with or without using
	  combining mark files.
	* src/unibmp2hex.c:
	  - Added support for 24 bit per pixel RGB .bmp files with
	    the standard 40-byte BITMAPINFOHEADER device-independent
	    bitmap (DIB) file header.

2022-03-06  Paul Hardy <unifoundry@unifoundry.com>
	* Version 14.0.02.
	* font/Makefile: added creation of unifont_jp-14.0.02.bmp.
	* font/plane00/unifont-base.hex:
	  - Modified glyphs U+017F, U+A7D6, and U+A7D7 to have similar shapes.
	  - David Corbett contributed these modified Hebrew glyphs:
	    U+05BA, U+05EF, U+05F3, U+05F4, U+FB21, U+FB22, U+FB23,
	    U+FB24, U+FB25, U+FB26, U+FB27, U+FB28, U+FB2E, U+FB4C,
	    U+FB4D, and U+FB4E.
	  - Johnnie Weaver modified Cherokee letter Quo (Ꮙ, ꮙ)
	    (U+13C9, U+AB99) so that it less-closely resembles
	    Cherokee letter Tse (Ꮴ, ꮴ) (U+13E4, U+ABB4).
	  - Modified Tagalog glyph U+1705 and changed U+1707 to resemble
	    the new U+170D glyph.
	  - Modified U+203A to be symmetrical to U+2039 (Savannah bug 62108).
	  - Lowered U+20A0 (Won sign) by one row.
	  - Modified U+25E2..U+25E5 so glyphs extend to far corners for
	    Teletext rendering, and modified U+25F8..U+25FF to match
	    the enlarged outlines of U+25E2..U+25E5 for compatibility
	    in non-Teletext use.
	  - Corrected U+29A2 angle direction (Savannah bug 61260).
	  - Modified Supplemental Punctuation code points U+2E55..U+2E5C.
	  - Johnnie Weaver modified Latin Extended-E DZ and TS digraphs
	    with retroflex hooks (U+AB66 and U+AB67) so that they match up
	    with their counterparts (U+02A3 and U+02A6, respectively).
	  - Modified U+FB01 to look like a more traditional "fi" ligature.
	* font/plane01/noscript-ranges.txt:
	  - Removed U+1AFF0..U+1AFFF for Kana Extended-B (Savannah bug 61181).
	* font/plane01/plane01.hex:
	  - Modified Cypro-Minoan glyph U+12FDB (reported by David Corbett).
	  - Adjusted several Brahmi glyphs (U+11000..U+1107F).
	  - David Corbett modified Miao glyphs U+16F50, U+16F51, U+16F52,
	    U+16F53, U+16F87, U+16F8F, U+16F90, U+16F91, and U+16F92.
	  - Modified Znamenny glyphs (U+1CF00..U+1CF09).
	  - Modified U+1FB3C..U+1FB6F for better Teletext rendering.
	    Glyphs extend to far corners, 1/2-width guideline, and
	    at least to 1/3-height and 2/3-height guidelines matching
	    Block Sextant (U+1FB00..U+1FB3B) guidelines.  Some overlap
	    between paired glyphs exists so that:
	      o Adjacent glyphs with slope greater than 1 never shift
	        2 pixels at once along the x-axis, and
	      o Adjacent glyphs with slope less than 1 never shift
	        2 pixels at once along the y-axis.
	    The aspect ratios between Unifont and Teletext differ and
	    Unifont glyphs cannot be divided vertically into exact thirds,
	    so any result is a matter of balancing tradeoffs.  Thanks to
	    Rebecca Bettencourt for her feedback and insight on this, and
	    for the part she played in helping to get these code points
	    into Unicode.
	* font/plane01/plane01-combining.txt:
	  - Patched widths for Old Uyghur glyphs U+10F82, U+10F83, U+10F84,
	    and U+10F85 to have offsets of 0 (Reported by David Corbett).
	  - Patched widths for Brahmi glyphs U+11070, U+11073, U+11074,
	    and U+1107F to have offsets of -16 (reported by David Corbett).
	* src/unipagecount.c: moved top row labels 2 spaces to the right.

2021-09-14  Paul Hardy <unifoundry@unifoundry.com>
	* Version 14.0.01.
	* font/plane00/plane00-combining.txt: Updated for Unicode 14.0.0.
	* font/plane00/plane00-nonprinting.hex: Updated for Unicode 14.0.0.
	* font/plane00/unifont-base.hex:
	  - David Corbett added new glyphs for:
	    o U+0600..U+06FF Arabic
	    o U+0870..U+089F Arabic Extended-B
	    o U+08A0..U+08FF Arabic Extended-A 
	    o U+FB50..U+FDFF Arabic Presentation Forms-A
	  - David Corbett updated the following glyphs:
	    o U+0611 and U+0613 to match the new U+088E ARABIC VERTICAL TAIL
	    o U+08D4 ARABIC SMALL HIGH WORD AR-RUB from Arabic Extended-A
	      to use two cells, like most of the other Arabic combining
	      word marks.
	    o U+0652 ARABIC SUKUN to match U+08D0 ARABIC SUKUN BELOW, which
	      has to look different from U+08D1 ARABIC LARGE CIRCLE BELOW.
	    o Unified Canadian Aboriginal Syllabics glyphs U+1495 and U+1497.
	    o Unified Canadian Aboriginal Syllabics glyphs per UTC168.
	    o Plane 0 Latin glyphs, etc.:
	        U+02B6, U+02C0, U+02C1, U+02E2, U+02E4, U+1D3F, U+1D51,
	        U+1D5C, U+1D5D, U+1D61, U+1D78, U+1DA6, U+1DA7, U+1DAB,
	        U+1DB3, U+1DBC, U+1DBD, U+1DBE, U+A69C, U+A69D, U+A71D,
	        U+A71E, U+A71F, U+A770, U+AB5C.
	  - Paul Hardy added new glyphs for:
	    o U+0C00..U+0C7F Telugu
	    o U+0C80..U+0CFF Kannada
	    o U+1700..U+171F Tagalog
	    o U+1800..U+18AF Mongolian
	    o U+1AB0..U+1AFF Combining Diacritical Marks Extended 
	    o U+1B00..U+1B7F Balinese
	    o U+1DC0..U+1DFF Combining Diacritical Marks Supplement 
	    o U+20A0..U+20CF Currency Symbols
	    o U+2C00..U+2C5F Glagolitic
	    o U+2E00..U+2E7F Supplemental Punctuation 
	    o U+9FFD..U+9FFF CJK Unified Ideographs 
	    o U+A720..U+A7FF Latin Extended-D 
	  - Paul Hardy modified U+031F and U+032B.
	* font/plane01/noscript-ranges.txt: Updated for Unicode 14.0.0.
	* font/plane01/plane01-combining.txt: Updated for Unicode 14.0.0.
	* font/plane01/plane01.hex: Updated old scripts for Unicode 14.0.0.
	  - Paul Hardy's changes:
	    o U+011000..U+01107F Brahmi
	    o U+011080..U+0110CF Kaithi
	    o U+011680..U+0116CF Takri
	    o U+01D100..U+10D1FF Musical Symbols
	    o U+01F680..U+01F6FF Transport and Map Symbols
	    o U+01F780..U+01F7FF Geometric Shapes Extended
	    o U+01F900..U+01F9FF Supplemental Symbols and Pictographs
	    o U+01FA70..U+01FAFF Symbols and Pictographs Extended-A
	  - Johnnie Weaver's changes:
	    o U+011700..U+01173F Ahom
	    o U+01B100..U+01B12F Kana Extended-A
	  - David Corbett made the shamash higher on U+1F54E (MENORAH WITH
	    NINE BRANCHES).
	* font/plane01/plane01.hex: Added scripts new in Unicode 14.0.0:
	  - David Corbett's additions:
	    o U+010570..U+0105BF Vithkuqi
	    o U+010780..U+0107BF Latin Extended-F
	    o U+010F70..U+010FAF Old Uyghur
	    o U+011AB0..U+011ABF Unified Canadian Aboriginal Syllabics
	      Extended-A
	    o U+01DF00..U+01DFFF Latin Extended-G
	  - Johnnie Weaver's additions:
	    o U+012F90..U+012FFF Cypro-Minoan
	    o U+016A70..U+016ACF Tangsa
	    o U+01AFF0..U+01AFFF Kana Extended-B
	    o U+01E290..U+01E2BF Toto
	  - Paul Hardy's additions:
	    o U+01CF00..U+01CFCF Znamenny Musical Notation
	    o U+01E7E0..U+01E7FF Ethiopic Extended-B
	* font/plane01/unassigned-ranges.txt: Updated for Unicode 14.0.0.

2021-02-13  Paul Hardy <unifoundry@unifoundry.com>
	* Version 13.0.06
	* 210205_Unifoundry_Memorandum.pdf: added legal memorandum.
	* font/Makefile:
	  - Updated copyright for 2021.
	  - Changed unifontpic input to Unifont sample set glyphs.
	* font/plane00csur/
	  - plane00csur-spaces.hex: Added U+0020 space glyph.
	  - plane00csur.hex: Fixed U+EB63 (Savannah bug 59763).
	* font/ttfsrc/Makefile: updated copyright for 2021.

2020-12-24  Paul Hardy <unifoundry@unifoundry.com>
	* Version 13.0.05
	* font/plane00/unifont-base.hex:
	  - Raised dentistry symbols U+23C0..U+23CA up one row, as they
	    were in Unifont 13.0.03, per recommendation of David Corbett
	    (Savannah Bug 59541).
	* font/plane00csur/plane00csur.hex:
	  - U+EB60..U+EB9C (Braille Extended): added missing glyphs.
	* font/plane01/plane01.hex:
	  - David Corbett contributed adjusted glyphs for arrow symbols
	    U+1D9A2..U+1D9A4 and U+1D9DF..U+1D9E1 (Savannah Bug 59629)..

2020-11-21  Paul Hardy <unifoundry@unifoundry.com>
	* Version 13.0.04
	* COPYING: added SIL Open Font License version 1.1 for dual-
	  licensing of glyphs.  Thanks to all contributors (including
	  Unifont's creator, Roman Czyborra), who agreed to the dual
	  font licensing for Unifont under the SIL OFL 1.1 and the
	  GNU GPL 2+ with GNU Font Embedding Exception.
	* OFL-1.1.txt: added SIL Open Font License version 1.1 text file.
	* font/Makefile:
	  - Added PERL variable for using unihex2png with an alternate
	    Perl installation specified on the command line as
	    "PERL=/alternate/perl/binary" for experimentation with
	    an alternate GD library.  Not specifying a value for PERL
	    (the default) runs unihex2png as it has in previous builds.
	  - Added mention of SIL OFL 1.1 for dual-licensing of font.
	* font/plane00/unifont-base.hex:
	  - David Corbett provided updates for U+08AD, U+1467, U+1468,
	    U+1D24, U+23B7, U+2E49, U+A789, U+FBD9, U+FBDA, and FC05 (Savannah
	    Bugs 58787, 58839, 58843, 58882, 58967, 59046, and 59175).
	  - Numerous changes to re-align glyphs vertically for improved
	    line drawing, as described in the remainder of this section
	    (Savannah service request 110281).
	  - Paul Hardy modified the Arrows range (U+2190..U+21FF) to
	    align dominant middle horizontal lines on row 7, counting
	    from the bottom.
	  - Paul Hardy modified the Mathematical Operators range
	    (U+2200..U+22FF) as follows:
	    o Aligned dominant middle horizontal lines on row 7, counting
	      from the bottom, but leaving U+2218 (the APL "jot" operator)
	      alone so as not to interfere with APL glyph alignment.
	    o Changed slashes for symbol negation from horizontal lines
	      to slanted lines.
	  - Paul Hardy modified the Miscellaneous Technical range
	    (U+2300..U+23FF) as follows:
	    o For glyphs U+230C..U+2332 and U+2393..U+23FF, aligned the
	      dominant middle horizontal lines on row 7, counting from
	      the bottom, except for the APL operators U+2308, U+230A,
	      U+2336..U+237A, and U+2395 [APL "quad" symbol] unmodified
	      so as not to interfere with APL glyph alignment, and except
	      for some User Interface Symbols in the range U+23E9..U+23FA
	      that would naturally have their bottom row of pixels on the
	      baseline (which is the third row, counting from the bottom).
	    o U+23B0 and U+23B1: extend curly bracket glyphs from top
	      row down to bottom row for combining in either vertical
	      order with each other.
	    o U+23DC..U+23E1: adjusted vertically to be nearer to the
	      top or bottom according to the glyph.
	    o U+2315 and U+2316: corrected glyphs.
	  - Paul Hardy modified the Geometric Shapes range (U+25A0..U+25FF)
	    to align the vertical center at row 7, counting from the
	    bottom, to allow use in forming arrows:
	    o U+25B6..U+25BB: adjusted vertical positioning.
	    o U+25C0..U+25C5: adjusted vertical positioning.
	    o Note -- the following glyphs can be used in APL character
	      sets if not substituted for ordinary APL characters and so
	      were not realigned: U+25AF, U+25CA, U+25CB, and U+25E6.
	* font/plane00csur:
	  - Paul Hardy added to plane00csur.hex, unassigned-ranges.txt,
	    and plane00csur-combining.txt:
	    o U+EB40..U+EB5F Standard Galactic
	    o U+EB60..U+EB9F Braille Extended
	    o U+EBA0..U+EBDF Cistercian Numerals:
	      - Digits 0-9 are non-combining;
	      - Digits 10-90, 100-900, and 1000-9000 are combining.
	        A vertical staff for zero, U+EBA0, can be used as
	        the non-combining base for digits higher than 9.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver redrew Elbasan (U+10500..U+1052F) and
	    Caucasian Albanian (U+10530..U+1056F).
	* font/ttfsrc/Makefile:
	  - Removed "<>" delimiters from TrueType License URL.
	  - Added mention of SIL OFL 1.1 for dual-licensing of font.

2020-07-03  Paul Hardy <unifoundry@unifoundry.com>
	* Version 13.0.03
	* font/Makefile:
	  - Added "bdf" as prerequisite for "coverage" target for
	    parallel builds (Savannah bug 58589).
	  - Added Rebecca Bettencourt to copyright string.
	  - Changed output filename for Plane 2 Japanese PNG glyph
	    graphics files from "$(BMPDIR)/plane02-jp/uni02$$i$$j.png"
	    to "$(BMPDIR)/plane02-jp/uni02$$i$$j-jp.png".
	* font/plane00/unifont-base.hex:
	  - David Corbett redrew the entire Thaana script,
	    U+0780..U+07B1 (Savannah bug 51885)..
	  - David Corbett improved Tamil glyphs U+0BF6 and U+0BF7.
	  - David Corbett contributed improvements to Canadian Aboriginal
	    glyphs: U+1467..U+146A, U+1541, U+158E, U+158F, U+15B0..U+15B3,
	    U+1656..U+1659, U+165D..U+1660, U+1669..U+166C, U+18B8..U+18BA
	    (Savannah bug 58262).
	* font/ttfsrc/Makefile, following recommendations of Ken Lunde:
	  - Replaced "(C)" in copyright string with the Unicode code point
	    U+00A9.  (The copyright string in font/Makefile still uses
	    "(C)" though for creating BDF fonts, in case there is a BDF
	    parser somewhere that does not expect non-ASCII content.)
	  - Added Rebecca Bettencourt to copyright string.
	  - Added settings for these Name ID font fields:
	    o  2 Font Subfamily
	    o  5 Version -- this was a workaround for a bug in the
	       FontForge SetTTFNames function, which appended a space
	       character after the font version string.
	    o 11 URL
	    o 13 License
	    o 14 License URL
	  - Removed license information from copyright string and
	    moved it to separate Name IDs 13 & 14 in font.
	* man/unifont.5: updated and corrected typos.

2020-04-25  Paul Hardy <unifoundry@unifoundry.com>
	* Version 13.0.02
	* font/Makefile:
	  - Changes in "compiled" directory:
	    o Created unifont_jp_sample-$(VERSION).hex with combining
	      circles for generating PNG or BMP glyph charts.
	    o Placed unifont_jp BMP and PNG files in plane00-jp and
	      plane02-jp directories under "bmp" or "png" directory,
	      so the Unicode Plane 0 Japanese glyph versions of
	      Unifont can be viewed alongside the non-Japanese versions.
	    o Renamed the Unicode Plane 0 and Plane 2 BMP and PNG glyphs
	      in the Japanese version from "unixxxx.{bmp,png}" to
	      "unixxxx-jp.{bmp,png}", where "xxxx" is the most significant
	      four hexadecimal digits of the Unicode code point (with 256
	      code points per graphics image).
	    o Modified default output from unipagecount in generating the
	      html files in the font/compiled directory with a target="_blank"	
	      field to open images in a new tab in a browser.  Did this
	      rather than modify src/unipagecount.c to allow both forms
	      without modifying the unipagecount.c program.
	  - Changes in "precompiled" directory:
	    o Added unifont_jp-$(VERSION).hex (without combining circles).
	    o Added unifont_jp_sample-$(VERSION).hex (with combining circles).
	* font/coverage.dat: updated for Unicode 13.0.0.
	* font/plane00/izmg16-plane00.hex:  New glyphs for unifont_jp:
	  - Added Hiragana glyphs (U+3040..U+309F) from izmg16 font.
	  - Added Katakana glyphs (U+30A0..U+30FF) from izmg16 font.
	  - Paul Hardy drew U+309F (HIRAGANA DIGRAPH YORI).
	* font/plane00/unifont-base.hex:
	  - Made U+1FBE (prosgegrammeni) a little taller and shifted to left.
	  - Changed U+2CCE and U+2CCF (Coptic) to single-width glyphs.
	  - Johnnie Weaver redrew U+A650 and U+A651 to be single-width.
	  - David Corbett modified U+2720 (MALTESE CROSS) to look like
	    the new half-Maltese crosses; U+A7F5 and U+A7F6 changed to
	    reversed versions of U+2C75 and U+2C76 (LATIN CAPITAL and
	    SMALL LETTER HALF H, respectively) (Savannah bug 58192).
	  - Changed U+02B7 and U+AB69 following input from David Corbett,
	    who then changed U+02AC to match (Savannah bug 58192).
	  - Raised new Sinhala glyph U+0D81 one row (Savannah bug 58182).
	  - Replaced Halfwidth CJK punctuation and Halfwidth Katakana
	    variants (U+FF61..U+FF9F) with glyphs from the public domain
	    DFLHN16X.FNT FONTX2 font.
	* font/plane01/noscript-ranges.txt, font-plane01/unassigned-ranges.txt:
	  Updated range of Tangut Supplement to be U+18D00..U+18D7F,
	  as per errata that unicode.org has published for Unicode 13.0.0.
	* font/plane01/plane01.hex:
	  - David Corbett modified some glyphs in the Chorasmian block
	    (U+10FB0..U+10FCF) (Savannah bug 58137).
	  - David Corbett modified U+1144D (NEWA COMMA) to resemble the
	    new U+1145A (NEWA DOUBLE COMMA) (Savannah bug 58192).
	  - Rebecca Bettencourt updated U+1FB3C..U+1FB6B in the Symbols
	    for Legacy Computing block to improve their slopes.
	* font/plane02-jp.html: Added "Japanese Version" in table title,
	  as it is only present in unifont_jp TTF fonts.  This matches
	  the table title change in font/compiled/plane00-jp.html.

2020-03-28  Paul Hardy <unifoundry@unifoundry.com>
	* Version 13.0.01
	* font/Makefile: updated copyright to 2020.
	* font/plane00/README: added to description of directory contents.
	* font/plane00/unifont-base.hex:
	  - David Corbett drew the new Arabic Extended-A glyphs
	    (U+08A0..U+08FF), and modified existing Arabic glyphs with
	    SMALL V or SMALL TAH for better consistency: U+063D, U+0692,
	    U+06B5, U+06C6, U+06CE, U+0759, U+0768, U+077E, U+08A0.
	  - Rebecca Bettencourt modified U+25E2..U+25E5 to match
	    Symbols for Legacy Computing, U+1FB00..U+1FBFF, which
	    she also drew for this release.
	  - Paul Hardy drew glyphs added in Unicode 13.0.0 for:
	    Oriya, Malayalam, Sinhala, Combining Diacritical Marks Extended,
	    Miscellaneous Symbols and Arrows, Supplemental Punctuation,
	    Bopomofo Extended, CJK Unified Ideographs Extension A,
	    CJK Unified Ideographs, Latin Extended-D, Syloti Nagri, and
	    Latin Extended-E.  He also modified the upper- and lower-case
	    thorn glyphs in Latin Extended-D as revised in Unicode 13.0.0.
	    He also moved U+0A23 up one row, and repositioned U+1C92 and
	    U+1CA2 (thanks to Johnnie Weaver for noticing those errors).
	* font/plane00/*: other files added for combining marks and
	  filler glyphs as appropriate.
	* font/plane01/noscript-ranges.txt: Added comment at start of file
	  noting that code point ranges in that file are for areas of
	  Plane 1 where no script is currently assigned to a range.
	  This file is then used to generate filler glyphs in the file
	  font/plane01/noscript.hex.
	* font/plane01/plane01.hex:
	  - Rebecca Bettencourt drew Symbols for Legacy Computing
	    (U+1FB00..U+1FBFF).  She also added U+1F8B0 and U+1F8B1.
	  - Johnnie Weaver drew:
	    - Yezidi (U+10E80..U+10EBF)
	    - Chorasmian (U+10FB0..U+10FDF)
	    - Khitan Small Script (U+18B00..U+18CFF).
	  - David Corbett drew Dives Akuru (U+11900..U+1195F).
	  - Paul Hardy drew new glyphs for Ancient Symbols, Chakma, Sharada,
	    Newa, Lisu Supplement, Ideographic Symbols and Punctuation,
	    Enclosed Alphanumeric Supplement, Transport and Map Symbols,
	    Supplemental Symbols and Pictographs, and Symbols and
	    Pictographs Extended-A.
	* font/plane01/*: other files added for combining marks and
	  filler glyphs as appropriate.
	* font/plane01/unassigned-ranges.txt: Added comment at start of
	  file noting that code point ranges in that file are for areas
	  of Plane 1 within assigned script ranges that have unassigned
	  code points.  This file is then used to generate filler glyphs
	  in the file font/plane01/plane01-unassigned.hex.
	* font/ttfsrc/Makefile: updated copyright to 2020.

2019-11-30  Paul Hardy <unifoundry@unifoundry.com>
	* Version 12.1.04
	* font/Makefile:
	  - Added variable PLANE_2_HEX to hold name of Plane 2 .hex file.
	  - bigpic: Generate large unifont_plane2-$(VERSION).bmp file (this
	      is very sparse, but added for the sake of completeness).
	  - bmp: Generate Plane 2 BMP files, generate compiled/plane02.html.
	  - distclean: add invoking distclean target in font/plane00csur.
	  - png: Generate Plane 2 PNG files, generate compiled/plane02.html.
	  - precompiled: added unifont_jp-$(VERSION).bdf.gz.
	* font/plane00/unifont-base.hex:
	  - Added two missing dots to Arabic glyph U+08BA.
	    Submitted by David Corbett (Savannah bug 57273).
	  - Added descending lines to coffin (U+26B0) so it looks more 3D.
	* font/plane01/plane01.hex:
	  - Removed dotted circles in Adlam (U+1E900..U+1E95F)
	    (Savannah bug 56751).
	  - Removed dotted circles in Nyiakeng Puachue Hmong
	    (U+1E100..U+1E14F) (Savannah bug 56753).
	  - David Corbett improved some Duployan glyphs
	    (U+1BC00..U+1BC9F) (Savannah bug 56772).
	  - Lowered Soyombo glyph U+11A9A as it is not a combining glyph.
	    Submitted by David Corbett (Savannah bug 56773).
	  - Removed stray pixels in three Soyombo glyphs
	    (U+11A52, U+11A53, and U+11A5B) (Savannah bug 57250).

2019-08-11  Paul Hardy <unifoundry@unifoundry.com>
	* Version 12.1.03
	* Replaced glyphs from the public domain bitmap font jiskan16
	  with glyphs from the public domain bitmap font izmg16, which
	  adds 132 more glyphs to Unicode Plane 0 and improves upon
	  many of the original jiskan16 glyphs.
	* README: added mention of unifont_jp font variant.
	* font/plane00/alt/README: created file to explain directory
	  contents, including some historical notes about their existence.
	* font/plane00/alt/reiwa-vertical.hex: added alternative vertical
	  rendering of Reiwa Era glyph, U+32FF.
	* font/plane00/unifont-base.hex:
	  - David Corbett adjusted glyph spacing of:
	     - U+1900..U+194F Limbu
	     - U+1A00..U+1A1F Buginese
	     - U+1A20..U+1AAF Tai Tham
	  - Paul Hardy redrew U+20B9, INDIAN RUPEE SIGN.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver redrew these glyphs:
	     - U+1D2E0..U+1D2FF  Mayan Numerals
	     - U+1E900..U+1E95F  Adlam

2019-06-01  Paul Hardy <unifoundry@unifoundry.com>
	* Version 12.1.02
	* Added glyphs from the public domain bitmap font jiskan16 for
	  support of the Japanese JIS X 0213:2004 Plane 1 & 2 glyphs.
	  - Fonts named "unifont_jp" use font/plane00/jiskan16-plane00.hex
	    glyphs to replace the Chinese versions in font/plane00/wqy.hex
	    in these ranges:
	     - U+3400..U+4DBF  CJK Unified Ideographs Extension A
	     - U+4Exx..U+9xxx  CJK Unified Ideographs
	     - U+F900..U_FAFF  CJK Compatibility Ideographs
	    Specifically Japanese glyphs in Unifont (katakana, hiragana,
	    dynasty glyphs, etc.) are not changed, as they were reviewed
	    by native Japanese.
	  - The TrueType version also adds the glyphs from
	    font/plane02/jiskan16-plane02.hex, containing CJK Unified
	    Ideographs Extension B, to support the full JIS X 0213
	    repertoire in unifont_jp-12.1.02.ttf.
	  - COPYRIGHT: noted public domain origin of jiskan16 glyphs.
	  - font/Makefile: Add support for Japanese versions of Unifont.
	  - font/unipatch-hex.awk: added awk script from David Corbett
	    to substitute Japanese glyphs for Chinese glyphs in hex files;
	    font/Makefile invokes this script during font builds.
	  - font/plane00/jiskan16-plane00.hex: added file, with glyphs
	    from jiskan16 public domain bitmap font.
	  - font/plane02/jiskan16-plane02.hex: added file, with glyphs
	    from jiskan16 public domain bitmap font.
	* font/plane00/alt/uni0009-orig.hex: created this file, containing
	  Unifont's original serif Devanagari and Bengali glyphs.
	* font/plane00/unifont-base.hex: replaced Unifont's original
	   Devanagari and Bengali glyphs with new ones with narrower
	   consonants, so combining vowel marks would superimpose better.
	* font/plane00csur: tidied up.
	  - font/plane00csur/Makefile: adapted Makefile from font/plane01,
	    mainly to automatically build glyphs for unassigned ranges
	    in a script.
	  - font/plane00csur/plane00csur-spaces.hex: added space glyph
	    U+ED30, removing it from font/plane00csur/plane00csur.hex.
	  - font/plane00csur/unassigned-ranges.txt: added missing entries
	    for scripts defined in the Under Consript Unicode Registry (UCSUR).
	* src/unibmp2hex.c:
	  - Added support for the case when the original .bmp monochrome
	    file has been converted to a 32 bit per pixel RGB file.
	  - Added support for bitmap images stored from either top to bottom
	    or bottom to top.
	  - Add DEBUG compile flag to print header information, to ease
	    adding support for additional bitmap formats in the future.
	* src/unicoverage.c:
	  - Changed strlcpy to strncpy to compile on more systems.

2019-05-11  Paul Hardy <unifoundry@unifoundry.com>
	* Version 12.1.01
	* font/Makefile:
	  - Set BINDIR to ../bin rather than rely on $(CURDIR) being
	    defined; old line is still in file, but commented out.
	* font/plane00/unifont-base.hex:
	  Johnnie Weaver contributed the Reiwa Japanese era glyph
	  (U+32FF), new in Unicode 12.1.0.
	* font/plane00/alt/codepage-437.hex:
	  Paul Hardy added new file; contains glyphs corresponding
	  to the legacy character set of PC Code Page 437.
	* font/plane00csur:
	  Rebecca Bettencourt contributed glyphs for these scripts:
	    U+E290..U+E2BF Amman-iar
	    U+E300..U+E33F Mizarian
	    U+E340..U+E35F Ziri:nka
	    U+E3B0..U+E3FF Olaetyan
	    U+E650..U+E67F Sylabica
	    U+E6F0..U+E6FF Unifon Extended
	    U+E700..U+E76F Unifon (added U+E76C..U+E76F)
	    U+E830..U+E88F D'ni
	    U+E890..U+E8DF Aurebesh
	    U+E900..U+E97F Glaitha-A
	    U+E980..U+E9FF Glaitha-B
	    U+EAA0..U+EAFF Wanya
	    U+EB00..U+EB3F Orokin
	    U+ED00..U+ED3F Deini
	    U+F4C0..U+F4EF Ath
	* font/plane01/plane01.hex:
	  - David Corbett modified some Nandinagari glyphs
	    (U+119A0..U+119FF).
	  - Johnnie Weaver modified some Nyiakeng Puachue Hmong
	    glyphs (U+1E100..U+1E14F).
	* src/Makefile:
	  - Add "CC = gcc" definition to use gcc on systems with
	    more than one C compiler.
	  - Comment out ".c:" line for BSD make.
	* src/unicoverage.c:
	  - Changed strcpy function call to strlcpy call for better
	    error handling.
	* src/unicoverage.c:
	  - Changed strcpy function call to strlcpy.
	* src/unifontpic.c, src/unigencircles.c:
	  - Changed strncpy function calls to memcpy.
	* src/unifont1per.c, unifontpic.c:
	  - Changed sprintf function calls to snprintf.

2019-03-05 Paul Hardy <unifoundry@unifoundry.com>
	* Version 12.0.01
	* doc/*.texi:
	  - Update all *.texi files with man page edits.
	  - Add files for new programs: unibmpbump.texi, unihexrotate.texi.
	* font/Makefile:
	  - Replaced instances of "sed -i" with "sed -e"
	    to support sed versions that lack the "-i" option.
	  - Changed 2018 to 2019 in copyright string.
	* font/plane00/alt/
	  - phags-pa-vertical.hex: added script, by rotating new
	    'Phags-pa glyphs by 90 degrees for vertical writing.
	  - mongolian-vertical.hex: added script, by rotating Mongolian
	    Plane 0 glyphs by 90 degrees with new unihexrotate program.
	* font/plane00/plane00-combining.txt:
	  - Added new Lao code point.
	  - Removed U+1CF2, U+1CF3 Vedic Extensions signs as per Unicode 12.
	* font/plane00/unifont-base.hex:
	  - U+1B5F: added a missing pixel (Savannah bug 55451).
	  - David Corbett added the new Lao glyphs and redrew two earlier
	    Lao glyphs.
	  - Added new glyphs for Unicode 12.0.0 release in these scripts:
	    Telugu, Vedic Extensions, Miscellaneous Symbols and Arrows,
	    Supplemental Punctuation, Latin Extended-D, Latin Extended-E.
	  - Bopomofo, Bopomofo Extended, and 'Phags-pa: redrew glyphs to
	    match more block-structured version introduced in Unicode 12.0.0.
	  - Also modified U+02EA, U+02EB, U+20A9.
	* font/plane00/wqy.hex: moved all U+31xx glyphs to unifont-base.hex,
	  as they were modified mainly as per Unicode Standard 12.0.0.
	* font/plane01/plane01-combining.txt: added new code points for
	  Wancho, Nyiakeng Puachue Hmong, Miao, Nandinagari.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver added a new glyph in Adlam.
	  - Johnnie Weaver added new scripts introduced in Unicode 12.0.0:
	    - U+10FE0..U+10FFF Elymaic
	    - U+119A0..U+119FF Nandinagari
	    - U+1B130..U+1B16F Small Kana Extension
	    - U+1E100..U+1E14F Nyiakeng Puachue Hmong
	    - U+1E2C0..U+1E2FF Wancho
	  - David Corbett added the new Chess Symbols glyphs in the
	    range U+1FA00..U+1FA5F.
	  - David Corbett added new scripts introduced in Unicode 12.0.0:
	    - U+11FC0..U+11FFF Tamil Supplement
	    - U+1ED00..U+1ED4F Ottoman Siyaq Numbers
	  - Raised Indic Siyaq Numbers script by three rows to match
	    baseline of Arabic glyphs, as suggested by David Corbett.
	  - Added new glyphs for Unicode 12.0.0 release in these scripts:
	    Newa, Takri, Soyombo, Miao, Ideographic Symbols and Punctuation,
	    Enclosed Alphanumeric Supplement, Transport and Map Symbols,
	    Geometric Shapes Extended, Supplemental Symbols and Pictographs.
	  - Added new scripts introduced in Unicode 12.0.0:
	    - U+13430..U+1343F Egyptian Hieroglyph Format Controls
	    - U+1FA70..U+1FAFF Symbols and Pictographs Extended-A
	* font/ttfsrc/Makefile:
	  - Changed 2018 to 2019 in copyright string.
	* man:
	  - Makefile: added new program pages unibmpbump.1, unihexrotate.1.
	  - Modified man pages to have more similar format conventions.
	* src/hexkinya: fixed comment syntax.
	* src/unibmp2hex.c: added new wide scripts: Wancho, Nandinagari.
	* src/unibmpbump.c: added program.
	* src/unihexrotate: added program.

2018-12-08 Paul Hardy <unifoundry@unifoundry.com>
	* Version 11.0.03
	* font/Makefile:
	  - Change name of unifont_upper BMP image to unifont_plane1.
	  - Add unifont_plane1 BMP image to precompiled directory.
	* font/plane00/unifont-base.hex:
	  - Johnnie Weaver modified U+20AA (New Sheqel Sign).
	  - Paul Hardy: Superscripts - lowered U+00B9 by one pixel;
	    shortened U+1DBB by two rows.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver contributed Kana Supplement glyphs,
	    U+1B000..U+1B0FF, and Kana Extended-A glyphs, U+1B100..U+1B12F.
	  - David Corbett contributed Nushu glyphs: U+16FE1 and
	    U+1B170..U+1B2FB).
	  - Johnnie Weaver lowered Warang Citi glyph U+118DA by two rows.
	  - Paul Hardy horizontally flipped U+1F4DE to match code chart
	    (phone handset).

2018-08-10 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 11.0.02
	* Makefile:
	  - No longer install text files in package directory; Debian
	    installs them in the /usr/share/doc/unifont directory.
	* doc/unicoverage.texi: Updated to reflect new ability to handle
	  all of Unicode, not just Plane 0.  Also updated man/unicoverage.1.
	* doc/unifont.texi:
	  - Added ':' after "Unifont" direntry name.
	  - Updated copyright for 2018.
	* doc/unifont.pdf: Regenerated to include changes in the above
	  two files.
	* font/Makefile:
	  - Create font/compiled/unifont_upper-$(VERSION).bmp in addition to
	    font/compiled/unifont-$(VERSION).bmp.
	  - Updated generation of compiled/coverage.txt to cover all glyphs
	    in Unifont, extending beyond Plane 0 and including the ConScript
	    Unicode Registry (CSUR) Private Use Area glyphs.
	* font/coverage.dat:
	  - Updated for Unicode 11.0.0 and included unassigned ranges (Savannah
	    bug 54163).
	  - Uncommented previously commented-out lines above Plane 0 for
	    new version of unicoverage to use.
	  - Added ConScript Unicode Registry (CSUR) scripts and Under CSUR
	    (UCSUR) script, removing the previous entry "E000-F8FF Private
	    Use Area" to show completion status of those scripts.
	* font/compiled/coverage.txt: Now contains counts of all scripts
	  drawn in Unifont, including glyphs in Plane 1, Plane 14, and
	  ConScript Unicode Registry (CSUR) glyphs in Planes 0 and 15 using
	  the revised font/coverage.dat file.
	* font/plane00/plane00-nonprinting.hex:
	  - Paul Hardy redrew the 'S' in U+180E, U+FE00..U+FE0F, and U+FFFA
	    to be more consistent with each other (Savannah bug 54177).
	* font/plane00/unifont-base.hex:
	  - Addressed Unicode 11.0.0 errata in glyphs U+1CF5 & U+1CF6 (Savannah
	    bug 54113).
	  - U+0590..U+05FF Hebrew - repositioned cantillation marks.
	  - U+140A corrected; it was flipped horizontally (Savannah bug 54119).
	  - U+1BFF moved to the left a few columns (Savannah bug 54207).
	  - Changes for relative sizes of mathematical geometrical shapes
	    to better align with Unicode Technical Report 25 (Savannah bug
	    51971):
	    + U+00B7 left as is, because of its common use in non-mathematical
	      contexts.
	    + U+2981 changed from 4 by 4 to 6 by 6
	    + U+25FE changed from 4 by 4 to 5 by 5
	    + Vertical positioning of U+25A0, U+25AA, U+25FC, U+25FE, adjusted.
	    + Used U+25EF and U+2B24 from David Corbett.
	  - Removed extra vertical line from U+1C90 (Savannah bug 54085).
	  - Added most changes contributed by David Corbett for mathematical
	    characters as reported in Savannah bug 51995.
	* font/plane00csur/plane00csur-nonprinting.hex: Created this file for
	  accurate script completion counts with unicoverage program.
	* font/plane00csur/plane00csur-unassigned.hex: Added this file, which
	  is empty for now.
	* font/plane00csur/space.hex: removed file, because the CSUR fonts
	  already include the baseline Plane 0 Unifont glyphs including U+0020.
	* font/plane01/plane01.hex:
	  - Modified U+108AC and U+108AD, as per David Corbett (Savannah
	    bug 51870).
	  - Addressed Unicode 11.0.0 errata in glyphs U+1105D & U+1105E
	    (Savannah bug 54113).
	  - Touched up Sharada U+111BB glyph.
	  - Adjusted vertical positioning of three Old Sogdian letters
	    (Savannah bug 54145) and Gunjala Gondi digit seven (Savannah
	    bug 54149).
	  - Adjusted Dogra glyphs (U+11800..U+1183B) (Savannah bug 54133).
	  - U+1B000..U+1B0FF (Kana Supplement) - Paul Hardy added glyphs as
	    copies of original CJK glyphs as placeholders until better
	    replacements exist for the entire block.
	  - Modified U+1E947 from Johnnie Weaver (Savannah bug 54215).
	* font/plane01-combining.txt:
	  - Changed Khudawadi U+112E1 offset from -8 to -16 (Savannah bug
	    54172).
	  - Changed offsets of combining characters in Hanifi Rohingya and
	    Sogdian to 0, because they are right-to-left scripts (Savannah
	    bug 54125).
	  - Added Dogra vowel U+11832 (omitted in initial release) (Savannah
	    bug 54133).
	  - Added David Corbett's Sutton SignWriting glyphs (U+1D800..U+1DAAF).
	  - Changed offset of combining glyphs in Makasar (U+11EF3..U+11EF6)
	    from -8 to -16 (Savannah bug 54134).
	* font/plane0E/plane0E-nonprinting.hex: Added placeholder glyphs for
	  U+E0000, U+E0002..U+E001F.
	* font/plane0Fcsur/plane0Fcsur-nonprinting.hex: Created this file for
	  accurate script completion counts with unicoverage program.
	* man/unicoverage.1: Updated to reflect new ability to handle
	  all of Unicode, not just Plane 0.  Also updated doc/unicoverage.texi.
	* src/hexkinya: fixed comments; made script executable (Savannah bug
	  54377).
	* src/unibmp2hex.c:
	  - Added Dogra (U+11800..U+1184F) as double width.
	  - Added Makasar (U+11EE0..U+11EFF) as double width.
	* src/unicoverage.c: Added support for coverage checking beyond
	  Unicode Plane 0.
	* src/unifont-viewer: added GPL 2 license header
	* src/unihexfill: added GPL 2 license header
	* src/unipagecount.c: Changed "Private Use" to "Private Use Area"
	  in output HTML table.

2018-06-05 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 11.0.01
	* Contains the Copyleft glyph added in Unicode 11.0 (U+01F12F)
	* font/Makefile:
	  - Update COPYRIGHT for 2018.
	  - Add font/plane00/copyleft.hex (U+01F12F) to Plane 0 TrueType
	    Unifont build.  This glyph is not added to the BDF or PCF fonts,
	    as they only allow code points below U+10000.
	* font/plane00: Paul Hardy modified hex files to incorporate
	  Unicode 11.0 BMP changes, maintaining full Unicode BMP coverage.
	* font/plane00/README:
	  - Updated for Unifont 11.0 directory structure.
	  - Added historical note on font/plane00/wqy.hex contents.
	* font/plane00/plane00-combining.txt:
	  - Add 0D4E with offset of 0.
	  - Set width of U+A926 and U+A92B to -16 after widening those glyphs.
	* font/plane00/unifont-base.hex:
	  - David Corbett contributed changes to:
	    + Myanmar            (U+1000..U+019F)
	    + Myanmar Extended-B (U+A9E0..U+A9FF)
	    + Tamil              (U+0B80..U+0BFF)
	    + Khmer              (U+1780..U+17FF)
	    + Thai               (U+0E00..U+0E7F)
	    + Lao                (U+0E80..U+0EFF)
	    + New Tai Lue        (U+1980..U+19DF)
	    + Sundanese          (U+1B80..U+1BBF)
	    + Batak              (U+1BC0..U+1BFF)
	    + Kayah Li           (U+A900..U+A92F)
	    + Various Latin, Symbols, and Punctuation glyphs
	  - Paul Hardy contributed changes to:
	    + Kannada (U+0C80..U+0CFF) and various Latin, Symbols, and
	      Punctuation glyphs based on comments by David Corbett
	    + Various CJK glyphs based partially on comments by David Corbett.
	* font/plane01: Updated for changes in Unicode 11.0 (scripts new in
	  Unicode 11.0 are marked with an asterisk)
	  - Johnny Weaver contributed changes to:
	      + Ahom                  (U+011700..U+01173F)
	      + Mayan Numerals        (U+01D2E0..U+01D2FF)*
	      + Counting Rod Numerals (U+01D360..U+01D37F)
	      + Makasar               (U+011EE0..U+011EFF)*
	      + Indic Siyaq Numbers   (U+01EC70..U+01ECBF)*
	  - Paul Hardy contributed changes to:
	      + Kharoshthi            (U+010A00..U+010A5F)
	      + Hanifi Rohingya       (U+010D00..U+010D3F)*
	      + Old Sogdian           (U+010F00..U+010F2F)*
	      + Sogdian               (U+010F30..U+010F6F)*
	      + Brahmi                (U+011000..U+01107F)
	      + Kaithi                (U+011080..U+0110CF)
	      + Chakma                (U+011100..U+01114F)
	      + Grantha               (U+011300..U+01137F)
	      + Newa                  (U+011400..U+01147F)
	      + Dogra                 (U+011800..U+01184F)*
	      + Soyombo               (U+011A50..U+011AAF)
	      + Gunjala Gondi         (U+011D60..U+011DAF)*
	      + Medefaidrin           (U+016E40..U+016E9F)*
	      + Encl. Alphanum. Supp. (U+01F100..U+01F1FF)
	      + Transport/Map Symbols (U+01F680..U+01F6FF)
	      + Geom. Shapes Extended (U+01F780..U+01F7FF)
	      + Supp. Symbols/Pict.   (U+01F900..U+01F9FF)
	      + Chess Symbols         (U+01FA00..U+01FA6F)*
	  - Note that scripts containing new font glyphs in the
	    Unicode 11.0 code charts (notably Emoticons) have not
	    been modified in Unifont.
	* font/plane01/plane01.hex:
	  - David Corbett contributed changes to these scripts:
	    + Kaithi            (U+011080..U+0110CF)
	    + Sharada           (U+011180..U+0111DF)
	    + Hatran            (U+0108E0..U+0108FF)
	    + Takri             (U+011680..U+0116CF)
	    + Zanabazar Square  (U+011A00..U+011A4F)
	    + Khojki            (U+011200..U+01124F)
	    + Soyombo           (U+011A50..U+011AAF)
	    + Bhaiksuki         (U+011C00..U+011C6F)
	  - Paul Hardy made these changes based on comments by David Corbett:
	    + Sharada    (U+011180..U+0111DF)
	    + Miao       (U+016F00..U+016F9F)
	    + Palmyrene  (U+010860..U+01087F)
	    + Nabataean  (U+010880..U+0108AF)
	    + Takri      (U+011680..U+0116CF)
	    + Bhaiksuki  (U+011C00..U+011C6F)
	* font/ttfsrc/Makefile: update COPYRIGHT for 2018.

2017-12-27 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.07
	* ChangeLog: added version numbers for releases 10.0.04-10.0.06.
	* Makefile: changed "$(INSTALL)" to "install" in some places
	  but allow redefinition of $(INSTALL) on the command line,
	  to simplify cross-architecture builds.  This ability to
	  change the INSTALL definition on the command line is passed
	  to src/Makefile, to allow specifying INSTALL="install -s"
	  for C programs (but not Perl programs, etc., where there
	  is no stripping).  This allows the install change that
	  Helmut Grohne requested for cross-architecture builds,
	  while also allowing overriding if still desired.
	* src/Makefile:
	  - Added Helmut Grohne's change for cross-architecture builds:
	    defined "INSTALL=install" at top of Makefile.  Changed
	    "install -s" to "$(INSTALL)" everywhere for binaries.
	  - Changed "install" to "$(INSTALL)" for C program installation
	    so it can be overridden on the make invocation line (for example,
	    with INSTALL="install -s") if desired.
	* font/plane00/plane00-combining.txt:
	  - Changed spacing of U+2CEF from -16 to -8 so it overlaps
	    the current and following glyphs.
	* font/plane00/unifont-base.hex:
	  - Updated Tibetan glyphs (U+0F00..U+0FFF) to make most of them
	    single-width.
	  - Updated some Tai Le glyphs (U+1950..U+197F) with glyphs
	    from David Corbett.
	  - Replaced Lepcha (U+1C00..U+1C4F) with glyphs from David Corbett.
	  - Updated Coptic with suggestions from David Corbett; moved
	    U+2CEF left by one column.
	  - Repositioned superscript and subscript letters for consistency.
	  - Removed the slash in superscript zero (U+2070) and subscript
	    zero (U+2080).  The slashed zero was added to ASCII zero
	    after multiple requests from programmers.  The difference
	    between superscript zero and subscript zero versus the
	    letter capital O should be understandable from context.
	* font/plane01/plane01.hex:
	  - Updated Byzantine Musical Symbols (U+01D000..U+01D0FF)
	    to make gorgon shapes uniform.
	  - Replaced Elbasan (U+010500..U+01052F) with glyphs by David Corbett.
	  - Updated Old North Arabic glyph U+010A89 to add missing pixel.
	* font/plane01/plane01-combining.txt:
	  - Added Miao (U+016F00..U+016F9F) combining code points back.
	* src/unibmp2hex.c:
	  - Removed Tibetan hard-coding to 16 pixels wide.
	  - Added Myanmar, Myanmar Extended-A and Myanmar Extended-B
	    to list of scripts that are 16 pixels wide.
	* src/unigencircles.c: Removed hard-coding of Miao with its being
	  returned to src/unibmp2hex.c and font/plane01/plane01-combining.txt.

2017-08-27 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.06
	* Makefile: modifications from Mike Gilbert to support
	  parallel make.
	* font/Makefile:
	  - Modifications from Mike Gilbert to support parallel make.
	  - Added Johnnie Weaver and David Corbett to COPYRIGHT string.
	* font/plane00/plane00-combining.txt: Numerous changes discussed with
	  David Corbett:
	  - These code point widths have been changed from -16 to -12 now that
	    fractional positioning of combining marks is possible:
	    U+0488, U+0489, U+20DD..U+20E0, U+20E2..U+20E4, U+A670, U+A672.
	  - These combining characters in right-to-left scripts have had
	    their offsets set to 0:
	       U+0590..U+05FF Hebrew;      U+0600..U+06FF Arabic
	       U+0700..U+074F Syriac;      U+0750..U+077F Arabic Supplement
	       U+0780..U+07BF Thaana;      U+07C0..U+07FF N'Ko
	       U+0800..U+083F Samaritan;   U+0840..U+085F Mandaic
	       U+0860..U+086F Syriac Supplement;
	       U+08A0..U+08FF Arabic Extended - A;
	       U+FB1E HEBREW POINT JUDEO-SPANISH VARIKA.
	  - U+ABED given offset of -8 to span across two double-width glyphs.
	* font/plane00/unifont-base.hex: Numerous changes suggested by and
	  contributed by David Corbett:
	  - U+0080..U+00FE C1 Controls and Latin-1 Supplement
	  - U+0250..U+02AF IPA Extensions
	  - U+02B0..U+02FF Spacing Modifier Letters (also by Paul Hardy,
	    correcting issues noted by Johnnie Weaver)
	  - U+0300..U+036F Combining Diacritical Marks, with U+0358 adjusted
	    to improve Osage rendering.
	  - U+0370..U+03FF Greek and Coptic: standardized serifs on normal
	    lower-case iotas, no serifs on iota subscripts; other changes
	    suggested by David Corbett.
	  - U+0400..U+04FF Cyrillic
	  - U+0500..U+052F Cyrillic Supplement
	  - U+0590..U+05FF Hebrew
	  - U+0600..U+06FF Arabic
	  - U+0750..U+077F Arabic Supplement
	  - U+0780..U+07BF Thaana
	  - U+07C0..U+07FF N'Ko
	  - U+08A0..U+08FF Arabic Extended-A
	  - U+0D00..U+0D7F Malayalam
	  - U+13A0..U+13FF, U+AB70..U+ABBF Cherokee modified by Paul Hardy
	  - U+1400..U+167F Unified Canadian Aboriginal Syllabics
	  - U+1780..U+17FF Khmer
	  - U+18B0..U+1BFF Unified Canadian Aboriginal Syllabics Extended
	  - U+1C80..U+1C8F Cyrillic Extended-C
	  - U+1D00..U+1D7F Phonetic Extensions
	  - U+1DC0..U+1DFF Combining Diacritical Marks Supplement
	  - U+2070..U+209F Superscripts and Subscripts (also by Paul Hardy,
	    correcting issues noted by Johnnie Weaver)
	  - U+2100..U+214F Letterlike Symbols
	  - U+2150..U+218F Number Forms
	  - U+2300..U+23FF Miscellaneous Technical
	  - U+2600..U+26FF Miscellaneous Symbols
	  - U+2980..U+29FF Miscellaneous Mathematical Symbols-B
	  - U+2B00..U+2BFF Miscellaneous Symbols and Arrows
	  - U+2C60..U+2C7F Latin Extended-C
	  - U+2C80..U+2CFF Coptic
	  - U+2DE0..U+2DFF Cyrillic Extended-A
	  - U+2E00..U+2E7F Supplemental Punctuation
	  - U+A640..U+A69F Cyrillic Extended-B
	  - U+A720..U+A7FF Latin Extended-D
	  - U+AB30..U+AB6F Latin Extended-E
	  - U+ABC0..U+ABFF Meetei Mayek
	  - U+FB50..U+FDFF Arabic Presentation Forms-A
	  - U+FE20..U+FE2F Combining Half Marks
	  - U+FE70..U+FEFF Arabic Presentation Forms-B
	* font/plane01/plane01-combining.txt:
	  - Changed combining characters in the following right-to-left
	    scripts to 0 width at the suggestion of David Corbett:
	     o U+010A00..U+010A5F Kharoshthi
	     o U+010AC0..U+010AFF Manichaean
	     o U+016F51..U+016F7E Miao: removed; treat as non-combining
	       so multiple vowels can follow a consonant.
	     o U+011D46 Masaram Gondi Repha: offset changed to zero
	     o U+01D400..U+01D7FF Mathematical Alphanumeric Symbols
	     o U+01E800..U+01E8DF Mende Kikakui
	     o U+01E900..U+01E95F Adlam
	     o U+01F300..U+01F5FF Miscellaneous Symbols and Pictograms
	     o U+01F700..U+01F77F Alchemical Symbols
	     o U+01F800..U+01F8FF Supplemental Arrows-C
	     o U+01F900..U+01F9FF Supplemental Symbols and Pictographs
	   - U+01D242..U+01D244 Ancient Greek Musical Notation changed
	     from an offset of -16 to an offset of -8 for compatibility
	     with dual-width Greek musical notation.
	* font/plane01/plane01.hex:
	  - Numerous changes suggested by and contributed by David Corbett:
	     o U+010123, U+010132 Aegean Numbers
	     o U+01015B, U+010160, U+010170, U+010182, U+01018E Ancient Greek
	       Numbers
	     o U+0101D2, U+0101D7, U+0101D8, U+0101D9, U+0101DA, U+0101DC,
	       U+0101DE, U+0101E8, U+0101EA, U+0101ED, U+0101EE, U+0101F1,
	       U+0101F6, U+0101FD Phaistos Disc
	     o U+010284, U+010289, U+01028F Lycian
	     o U+0102E0 Coptic Epact Thousands Mark
	     o U+010330..U+01034F Gothic, with U+010330, U+010331, U+01033A,
	       U+01033B, and U+010342 modified to match the uncial style of
	       the Codex Argenteus.
	     o U+010400..U+01044F Deseret
	     o U+010450..U+01047F Shavian
	     o U+0104B4, U+0104C1, U+0104C4, U+0104C5, U+0104E4, U+0104E5,
	       U+0104E6, U+0104E9 Osage
	     o U+011180..U+0111DF Sharada
	     o U+011C70..U+011CBF Marchen: some glyphs modified
	     o U+011D00..U+011D5F Masaram Gondi
	     o U+016F00..U+016F9F Miao
	     o U+01D400..U+01D7FF Mathematical Alphanumeric Symbols: added
	       serifs to iotas.
	     o U+01EE00..U+01EEFF Arabic Mathematical Alphabetic Symbols
	     o U+01F300..U+01F5FF 
	     o U+01F30E, U+01F32A, U+01F33A, U+01F3CF, U+01F3FA, U+01F411,
	       U+01F434, U+01F481 Miscellaneous Symbols and Pictographs
	     o U+01F720, U+01F76D Alchemical Symbols
	     o U+01F89C, U+01F89D, U+01F89E, U+01F89F, U+01F8AC, U+01F8AD
	       Supplemental Arrows-C
	     o U+01F908, U+01F909, U+01F90A, U+01F90B, U+01F933, U+01F986,
	       U+01F98F, U+01F993, U+01F995
	       Supplemental Symbols and Pictographs
	  - U+01D200..U+01D24F Ancient Greek Musical Notation changed
	    from double-width to dual-width.  Combining characters
	    U+01D242..U+01D244 changed to single-width for compatibility
	    with dual-width glyphs.
	* font/ttfsrc/Makefile:
	  - Added Johnnie Weaver and David Corbett to COPYRIGHT string.
	* src/unibmp2hex.c:
	  - U+01D200..U+01D24F Ancient Greek Musical Notation no longer
	    hard-coded to be double-width, so that glyphs now can be
	    dual-width.
	  - U+016F00..U+016F9F Miao no longer hard-coded as double-width.
	* src/unifontpic.h: fixed corrupted ASCII hexadecimal strings.
	* src/unigencircles.c: hard-code Miao vowels as combining, because
	  they were removed from font/plane01/plane01-combining.hex to allow
	  stacking of multiple vowels together.
	* Corrected spelling of "Johnny Weaver" to "Johnnie Weaver".

2017-07-12 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.05
	* font/plane00/plane00.hex:
	  - U+0252 modified to resemble U+1D9B
	  - U+028B ('v' with hook): redrawn; matches new U+1DB9 shape.
	  - U+03C7 (Greek chi): redrawn; matches new U+1D61 shape.
	  - U+0D44 (Malayalam): removed extraneous combining circle.
	  - U+1D00..U+1DBF (Phonetic Extensions): numerous adjustments
	    requested by David Corbett; a few changes (for example,
	    Greek chi) were copied to the base glyph code points.
	* font/plane00/plane00-combining.txt:
	  - Removed non-printing characters U+034F, U+17B4, U+17B5,
	    U+180B..U+180D, U+FE00..U+FE0F.
	* font/plane00csur/plane00csur.hex:
	  - U+E031: redrew to resemble U+E051.
	  - U+E04F: moved from bottom to top.
	  - U+E06C: redrew as single-width.
	  - U+E0BC: fixed horizontally mirrored glyph.
	  - U+E7E2: made same height as U+E7E1; it was shorter.
	* font/plane00csur/plane00csur-combining.hex:
	  - Added U+E050..U+E055, U+E059, U+E07D.
	  - Removed U+E058, U+E06C.
	* font/plane00csur/plane00csur-spaces.hex:
	  - Added single-width space for Kinya digit zero, U+E1A0.
	* font/plane01/plane01.hex:
	  - Reverted U+01D084 to its form from Unifont 10.0.03;
	    it was inadvertently changed in 10.0.04.
	* src/hex2sfd:
	  - Assign hex() converted value to $max_code_point.
	  - Multiply $xoffset by $pixel.
	* src/unifontpic.c: adjusted centering of chart title
	  for the wide version of charts.
	* src/unigencircles.c: replace deprecated "index" function
	  with "strchr".
	* src/unigenwidth.c: replace deprecated "index" function
	  with "strchr".

2017-07-08 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.04
	* Thanks to David Corbett for bringing the issues concerning
	  double diacritics, Western and Byzantine musical symbols,
	  subjoiner glyphs, and other issues to my attention.  Those
	  issues have been addressed in this release.
	* All Makefiles:
	  - Simplified to contain just a VERSION variable without
	    separate UNICODE_VERSION and PKG_REV variables.
	  - Changed "echo" to "@echo" where it wasn't already done,
	    except in hangul/Makefile.
	  - Changed "font/plane00/bmp-combining.txt" in files where
	    it occurred to "font/plane00/plane00-combining.txt".
	* *-combining.txt: now have "<code-point> ':' <x-offset>".
	  This two-field format now allows the unidup utility to
	  check the *-combining.txt files for duplicate code points
	  in addition to checking *.hex files for duplicates.
	* ChangeLog: ascribed work to "Anonymous1" by request.
	* doc: rebuilt texinfo files from modified man pages.
	* Makefile:
	  - Moved "*nonprinting.hex" files from ZEROWIDTH variable
	    definition to HEXWIDTH variable definition, so the
	    unigenwidth utility will no longer treat them as
	    zero-width glyphs.  They will be invisible in a
	    Unicode-savvy application, but most applications
	    do not seem to provide special handling of these
	    code points, so their Unifont glyphs will appear
	    in-line with regular text.
	  - Added all font/plane*/*combining.txt files to
	    ZEROWIDTH definition.
	  - Sort both the unifonttemp.hex and combiningtemp.txt
	    files to make debugging easier.
	* font/Makefile:
	  - Removed inclusion of plane0F from "upper" glyph files,
	    as Plane 15 is a Private Use Area plane.
	  - Read "upper_sample" font to create PNG or BMP bitmaps,
	    so combining circles will be rendered.  Add hexadecimal
	    code point glyphs to upper_sample font so bitmaps will
	    display these unassigned code points.
	  - Fixed typos in comments.
	* font/plane00/alt/quad-width.hex:
	  - Preserves quadruple-width Chinese glyphs added in the
	    file font/plane00/custom00.hex in the original Unifont
	    10.0.01 release.  Those glyphs are moved to a new
	    alternate directory, "alt", to remain available for
	    experimentation with quadruple-width glyphs.  These
	    glyphs are no longer used in Unifont.
	* font/plane00/bmp-combining.txt:
	  - Renamed to plane00-combining.txt for similarity with
	    file names in other plane__ directories.
	  - U+2D7F (Tifinagh): make a "+" subscript combining character.
	  - Added second field containing x-axis offset.
	* font/plane00/custom00.hex: now a zero-length file, because
	  the formerly quadruple-width Chinese glyphs custom-created
	  by hand have been replaced by double-width glyphs.
	* font/plane00/nonprinting.hex:
	  - Renamed to plane00-nonprinting.hex for similarity with
	    file names in other plane__ directories.
	  - Redrew U+2062, "INVISIBLE TIMES", to resemble U+00D7,
	    MULTIPLICATION SIGN.
	* font/plane00/unassigned.hex:
	  - Renamed to plane00-unassigned.hex for similarity with
	    file names in other plane__ directories.
	* font/plane00/unifont-base.hex:
	  - Fixed missing pixels in U+0962, U+0963.
	  - Widened combining character U+1DFC to better span across
	    two single-width glyphs.
	  - Redrew a large part of U+1D00..U+1D7F, Phonetic Extensions.
	* font/plane00/wqy.hex: Anonymous1 contributed glyphs for
	  U+9FD6..U+9FEA that fits the formerly quadruple-width
	  glyphs into a double-width space (16 pixels wide).
	  This allows switching back to the PNG<-->Unifont utilities.
	* font/plane01/plane01.hex:
	  - U+010300..U+010323, Old Italic: Anonymous1 redrew glyphs.
	  - U+01107F: Brahmi number joiner; created as 8-pixel horizontal
	    stroke to join Brahmi numeric digits.
	  - U+011A3A (Zanabazar): make a single-width combining character.
	  - U+011A47 (Zanabazar): make a printing virama (U+011A34)
	    combining character.
	  - U+011A86..U+011A89 (Soyombo): these are cluster initial forms,
	    so raised to top of glyph and made combining characters.
	  - U+011A99 (Soyombo): make a "+" subscript combining character,
	    as Soyombo has no virama/halant.
	  - U+011D45 (Masaram Gondi): made the same as combining character
	    U+011D44.  U+011D46: cluster initial form of U+011D26, so
	    raised to top of glyph and made it a combining character.
	  - U+01D000..U+01D0FF, Byzantine Musical Symbols: adjusted
	    glyphs intended to be at two or three heights ("ano",
	    "meso", and "kato" versions), U+01D04E, U+01D0F0, U+01D0F2;
	    U+01D04F, U+01D0F1, U+01D0F3; U+01D07F, U+01D0F4;
	    U+01D08F, U+01D0F5.
	  - U+01D18C..U+01D191 and U+01D196, Musical Symbols: redrew
	    in bold italics.
	* font/plane01/plane01-combining.txt:
	  - Removed U+01BC9D, as it is non-printing.
	  - Add U+011A3A, U+011A47, U+011A86..U+011A89, U+011A99, and
	    U+011D45.
	  - Added U+01D1A0, which is not a Unicode combining character,
	    but it must be combined with other musical glyphs.
	  - Added second field containing x-axis offset.
	* font/plane01/plane01-nonprinting.hex:
	  - Remove glyphs that have been made combining characters added
	    to font/plane01/plane01.hex: U+011A47, U+011A99, and U+011D45.
	* man/unifontpic.1: updated with new "-P" option.
	* man/*.[15]: Changed "-" to "\-" for option flags.
	* src - added comments to source programs to reflect changes
	  made from Unifont 10.0.01 release onwards.
	* src/unibmp2hex.c: all CJK glyphs in the range U+4E00..u+9FFF
	  are double width again; commented out the line that sets
	  U+9FD8..U+9FE9 to be quadruple width.
	* src/hex2sfd:
	  - Modified to use new second field in combining characters txt
	    files as the x-axis offset of combining characters.
	* src/unifontpic.h:
	  - Created new file, read by unifontpic.c.
	  - Constants moved to this file from unifontpic.c.
	  - Added Unifont hexadecimal strings for ASCII range to use in
	    chart title, allowing Unifont charts above Unicode Plane 0.
	* src/unifontpic.c:
	  - Fixed header in "long" bitmap output so it isn't truncated.
	  - Added "-P" argument, to specify Unicode plane 0..17.
	  - Add Unicode plane to chart title.
	  - Adjusted centering of title on long and wide charts.
	* src/unigencircles.c:
	  - Modified to read new second field in combining characters
	    txt files that contains x-axis offset.
	  - Uses the above x-axis offset value for a combining character
	    to print combining circle in the left half of a double
	    diacritic combining character grid, or in the center for
	    other combining characters.
	  - Added exceptions for U+01107F (Brahmi number joiner) and
	    U+01D1A0 (vertical stroke musical ornament); they are in
	    a combining.txt file for positioning, but are not actually
	    Unicode combining characters.
	* src/unigenwidth.c:
	  - Modified a sscanf format strings to ignore second field
	    added to "*combining.txt" files and already present in
	    "*.hex" files.

2017-06-30 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.03
	* Makefile: updated to version 10.0.03
	* src/hex2sfd: modified combining character positioning.
	* src/unifontpic.c: update version string to 10.0.03.

2017-06-30 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.02.
	* Makefiles: updated to version 10.0.02.
	* Fixed typo in ChangeLog of previous entry:
	  "wide with" --> "wide width".
	* font/Makefile: updated Copyright string for FontForge.
	* font/plane00/unifont-base.hex:
	  - Touched up U+03xx block.
	  - Made tonos over Greek vowels slant like U+0301 (acute accent).
	  - Moved Greek rough and smooth breathing marks to the left.
	  - Other minor changes.
	* font/plane00csur/plane00csur.hex: fixed Aiha glyph U+F8AB.
	* src/unifontpic.c: update version string to 10.0.02.

2017-06-20 Paul Hardy <unifoundry@unifoundry.com>
	* Version: 10.0.01.
	* Makefiles, src/unifontpic.c - changed version number to 10.0.01.
	* Makefile - added font/plane00/custom00.hex to files for wchar table.
	* README - updated to mention support for triple-width and
	  quadruple-width glyphs for experimental use.
	* doc/unifont.texi:
	  - Added section on new unifont1per utility.
	  - Updated tutorial section of manual with information on
	    triple-width and quadruple-width support and limitations.
	* doc/unifont1per.texi - added texinfo file for new Unifont utility.
	* font/Makefile
	  - Added CUSTOM variable (see font/plane00/custom.hex).
	  - GRAPHICS variable set to generate ".bmp" graphics font images,
	    not PNG, because unihex2png does not yet support glyphs that
	    are 16 pixels high by 32 pixels wide.
	* font/plane00:
	  - Updated Basic Multilingual Plane with Unicode 10.0 changes.
	* font/plane00/custom00.hex - added file for hand-created Unifont
	  glyphs, to allow for Chinese ideographs U+9FD8..U+9FE9 introduced
	  in Unicode 10.0.0 to be quadruple-width.  The hexdraw and hex2bdf
	  utilities already support this, and the TrueType font appears to be
	  okay, but such wide width use is still experimental.
	* font/plane00/unifont-base.hex:
	  - David Corbett contributed improved glyphs for U+06E5, u+06E6, and
	    U+FE73 Arabic glyphs.
	  - Corrected these BMP glyphs: U+0166, U+0167, U+04AA, U+04AB, U+061A,
	    U+06E5, U+06E6, U+0DD8, U+0DDD, U+A81F, U+A825, U+FB1E, U+FE73.
	  - Modified U+2626 as per Unicode 10.0.0 chart; modified U+2628 to
	    resemble modified U+2626.
	  - Adjusted Full Width Latin script glyphs to improve centering,
	    and to reflect recent changes to the Unifont ASCII glyphs.
	  - Applied Unicode 9.0 Errata Notice change for Combining Diacritical
	    Marks: U+033B.
	  - Made other changes as per Unicode 10.0.0.
	* font/plane00/wqy.hex: Added U+9FD6, U+9FD7, and U+9FEA; glyphs
	  in the range U+0FD8..U+9FE9 were made quadruple-width and moved
	  to new file font/plane00/custom00.hex.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver added SMP scripts new in Unicode 10.0:
	    o U+011A00..U+011A4F Zanabazar Square
	    o U+011A50..U+011AAF Soyombo
	    o U+011D00..U+011D5F Masaram Gondi
	  - Paul Hardy added and/or modified glyphs new (or modified) in
	    Unicode 10.0 for existing SMP scripts:
	    o Corrected U+0110BD, U+01130B, U+011317, U+01131D, U+011332,
	      and U+01F694..U+01F698.
	    o Not all Unicode 10.0 modifications were made to existing glyphs,
	      because of the constraints of the Unifont glyph size.  Some new
	      modifications for symbols in Unicode 10.0.0 are not without
	      controversy.  The original glyphs (pre-Unicode 10.0) still
	      convey the proper meaning.
	    o Old Italic (3 glyphs)
	    o U+011A50..U+011AAF Soyombo
	    o U+01F200..U+01F2FF Enclosed Ideographic Supplement (6 glyphs)
	    o U+01F300..U+01F5FF Miscellaneous Symbols and Pictographs
	      (15 glyphs modified in Unicode 10.0; no new glyphs);
	      corrected U+01F47F.
	    o U+01F600..U+01F64F Emoticons (9 glyphs)
	    o U+01F680..U+01F6FF Transport and Map Symbols (4 glyphs)
	    o U+01F900..U+01F9FF Supplemental Symbols and Pictographs
	      (68 glyphs)
	    o Made other changes as per Unicode 10.0.0.
	    o Applied Unicode 9.0 Errata Notice changes:
	      + Sundanese: U+1B8F (this was already applied in an earlier
	        Unifont release)
	      + Linear B Ideograms: U+0100A7
	      + Brahmi: U+011008, U+01103E, and U+01103F
	      + Did *NOT* apply Unicode 9.0 Errata Notice changes for
	        Tangut, because Tangut is not at present part of Unifont.
	        This affects code points U+017013, U+017712, and U+017D9F.
	* src/unihex2bmp.c: added capability to output triple-width and
	  quadruple-width (31 pixels wide, not 32) glyphs.  The 32nd column
	  in a glyph cell is occupied by the vertical cell border, so a
	  quadruple-width glyph can only occupy the first 31 columns;
	  the 32nd column is ignored.
	* src/png2hex: fixed a couple of typos.
	* src/unibmp2hex.c:
	  - Modify to allow hard-coding of quadruple-width hex glyphs.
	    The 32nd column (rightmost column) is cleared to zero, because
	    that column contains the vertical cell border.
	  - Set U+9FD8..U+9FE9 (complex CJK) to be quadruple-width.
	  - Set U+011A00..U+011A4F (Masaram Gondi, non-digits) to be wide.
	  - Set U+011A50..U+011AAF (Soyombo) to be wide.
	* src/unifont1per.c: added new program for .bmp graphics rendering
	  of glyphs with 8, 16, 24, or 32 pixels per row, one glyph per file.
	* src/unifontpic.c: now handles glyphs that are 24 or 32 pixels wide,
	  by compressing them horizontally by 50% to fit in 16-by-16 pixel
	  grid.
	* src/unigenwidth.c: now handles glyphs that are 24 or 32 pixels wide.
	* src/unihex2bmp.c: modified to print quadruple-width glyphs.

2016-12-22 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 9.0.06.
	* Makefiles, src/unifontpic.c - changed version number to 9.0.06.
	* font/plane00/unifont-base.hex:
	  - U+22F5: Added missing dot; thanks to Johnnie Weaver for noticing
	    this error.
	* font/plane01/plane01.hex:
	  - Osage: Glyphs U+0104D9 and U+0104DA were swapped; Johnnie Weaver
	    corrected them.  Shifted glyphs that were 7 pixels wide left one
	    pixel to line up on the leftmost column.
	* font/plane0Fcsur/plane0Fcsur.hex:
	  - Pikto: Paul Hardy modified about 50 glyphs to improve shapes.

2016-12-10 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 9.0.05.
	* font/plane00/unifont-base.hex:
	  - Modified upper-case Cherokee (U+13A0..U+13FF) to better reflect
	    changes in latest Unicode Consortium Cherokee font.  Removed
	    most serifs to make glyphs easier to read.
	  - Modified lower-case Cherokee (U+AB70..U+ABBF) to better reflect
	    changes in latest Unicode Consortium Cherokee font.  Removed
	    most serifs to make glyphs easier to read.
	* font/plane01/plane01.hex: modified U+011449, Newa OM glyph.
	* font/plane0Fcsur/plane0Fcsur.hex: modified glyphs after comparison
	  with scans from two copies of the Basic Pikto book.

2016-10-29 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 9.0.04.
	* font/plane00/unifont-base.hex:
	  - Extended "{" and "}" by one pixel to add a point in the center.
	  - Swapped U+2A05 and U+2A06; they were in reverse order.
	* Added omitted ChangeLog entry for Unifont 9.0.03 for the addition
	  of Pikto glyphs to font/plane0Fcsur/plane0Fcsur.hex.

2016-10-21 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 9.0.03.
	* NEWS: changed 2015 to 2016 for 9.0.02 release year.
	* Makefile:
	  - Revised to include ConScript Unicode Registry (CSUR) Private
	    Use Area (PUA) glyphs in width functions in lib directory.
	  - Revised to treat nonprinting code points as having zero width,
	    though they have glyphs defined in font/plane00/nonprinting.hex.
	* font/Makefile:
	  - Add Plane 0 CSUR glyphs to giant Plane 0 unifont-<version>.bmp
	    picture even though they are an optional part of the font in
	    a separate file.
	* font/plane00/nonprinting.hex:
	  - Changed the dotted border around all glyphs (where necessary)
	    to match Roman's control character borders.
	* font/plane00csur/plane00csur.hex:
	  - Tonal System: added Under CSUR Tonal script at U+E8E0..U+E8F4.
	    This is the base 16 system devised by John William Nystrom in
	    the mid-19th century.
	  - Aiha: Added doubling combining glyph at U+F8C8, which was omitted
	    from the original CSUR code chart but is being added to the
	    Under CSUR code chart.
	  - Added remainder of Kinya glyphs that Andrew Miller drew.
	* font/plane00csur/plane00csur-combining.txt:
	  - Added combining code points for newly added Kinya combining glyphs.
	* font/plane00csur/plane00csur-spaces.hex:
	  - Created file to contain Kinya Alternate Space, U+E16E.
	* font/plane0Fcsur/plane0Fcsur.hex: added Pikto CSUR glyphs after
	  Kinya syllables.
	* src/hexkinya:
	  - Added copyright and license header.
	  - Added comments with Unicode CSUR code points of each syllable
	    component.
	* src/unigenwidth.c:
	  - Modified to cover widths for CSUR glyphs up through and including
	    Plane 15, to cover the newly-added Pikto glyphs.  If someone
	    is using this file but not using CSUR glyphs, simply ignore
	    the Private Use Area glyph ranges or set the width to 2 for
	    all glyphs in that range.

2016-08-27 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 9.0.02.
	* Makefiles: fonts copyright updated to 2016 if not already done.
	* NEWS: fixed date for 9.0.01 release.
	* doc: updated as per man/*.[15] man page changes of "\-" back to "-".
	* font/Makefile:
	  - Cleaned up (removed commented out lines, etc.)
	  - Removed compiled/unifont_all_csur* and compiled/unifont_upper_csur*
	    files.
	  - Created compiled/unifont_csur_lower-*.hex to contain Plane 0
	    CSUR glyphs and Plane 0 non-CSUR glyphs, for building BDF and
	    PCF fonts.
	  - unifont_csur-*.ttf only includes CSUR glyphs, not other Plane 0
	    glyphs, decreasing size of CSUR TTF font by about 14 Megabytes.
	    Plane 0 glyphs are still in the BDF and PCF CSUR fonts, because
	    they are used in the X Window System, where one font is used
	    for an entire window.
	* font/plane00/unifont-base.hex:
	  - U+0030: slash changed to a perfectly straight pixel line;
	    now it looks less like the zero on an ASR-33 teletype.
	  - U+A7AE: moved from U+A72E (where it was accidentally placed)
	  - Discrepancies noticed by Johnnie Weaver:
	    U+2766 (Floral Heart) and U+2767 (Rotated Floral Heart Bullet)
	    redrawn to use the same base glyph as U+2619 (Reversed Rotated
	    Floral Heart Bullet) for consistency
	  - Changes requested by Michael Walden:
	    - U+2906: moved vertical bar to edge of arrow so it is now
	              a mirror image of U+2907.
	    - U+2BC7, U+2BC8, U+2BEC, and U+2BEE: moved up one pixel.
	* font/plane00csur/csur.hex:
	  - Name changed to plane00csur.hex to resemble the name of
	    font/plane0Fcsur/plane0Fcsur.hex.
	  - U+E1B0..U+E1CF: Ilianóre drawn by Paul Hardy
	  - U+E200..U+E26F: Verdurian drawn by Paul Hardy, with advice from
	                    the script's creator, Mark Rosenfelder.
	  - U+E630..U+E64F: Seussian Latin Extensions drawn by Johnnie Weaver
	* font/plane00csur/csur-combining.txt: name changed to
	  plane00csur-combining.txt to resemble the name of
	  font/plane0Fcsur/plane0Fcsur-combining.txt.
	* font/plane01/plane01.hex:
	  - Changes requested by Johnnie Weaver:
	    - Osage: U+0104B6 and U+0104DE made single-width.
	    - Adlam: U+01E95F made single-width.
	  - Fixed error found by Johnnie Weaver: U+01F67F flipped horizontally.
	* man/*.[15]: changed "\-" back to "-".

2016-07-01 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 9.0.01, implementing changes in Unicode 9.0.0.
	* Makefiles: updated version to 9.0.01; fonts now Copyright 2016.
	* doc: updated as per man/*.[15] man page changes of "-" to "\-".
	* font/Makefile: now creates both bmp and png graphics outputs.
	* font/plane00/README: updated "wc -l *.hex" output.
	* font/plane00/unifont-base.hex: Paul Hardy made these changes except
	  for new power symbols, which Terrence Eden contributed:
	  - Michael Walden drew my attention (pun intended) to many glyphs,
	    providing very detailed feedback that resulted in my changing
	    these glyphs:
	       - U+00A4 (currency symbol)
	       - U+2426 (reverse question mark)
	       - U+2543 (box drawing glyph)
	       - U+249C..U+24B5 (lower-case letters in parentheses), and
	       - Many arrow glyphs in the U+21xx, U+27xx, U+29xx, and U+2Bxx
	         blocks to align horizontal arrows with U+2500 (horizontal
	         line) for extension.
	  - Added a slash to '0' (U+0030) and U+FF10 to distinguish from
	    letter 'O' following multiple requests.
	  - Increased height of U+0220 to Latin cap height.
	  - Unified Canadian Aboriginal Syllabics (U+1400..U+167F) and
	    Unified Canadian Aboriginal Syllabics Extended (U+18B0..U+18FF)
	    redrawn; this was precipitated by The Unicode Consortium changing
	    a number of those glyphs.
	  - Rotated Mongolian script as per Unicode change to switch from
	    traditional vertical writing to left-to-right horizontal writing.
	  - Modified U+1B8F as per Unicode errata.
	  - U+2FF9 no longer identical to U+2FF7.
	  - U+202F (NARROW NO-BREAK SPACE) now is a space glyph.
	  - U+20BA (Turkish Lira) moved down 2 rows--thanks to Johnnie Weaver
	    for noticing that.
	  - Rotated Mongolian script (U+1800..U+18AF) as per Unicode change
	    from traditional vertical writing to horizontal writing.
	  - Rotated Phags Pa script (U+A840..U+A87F) as per Unicode change
	    from traditional vertical writing to horizontal writing.
	  - All additions for Unicode 9.0.0 made:
	    to horizontal writing):
	    - Added glyphs in Arabic Extended-A, Kannada,
	          Malayalam, Cyrillic Extended-C, Combining Diacritical
	          Marks Supplement, Supplemental Punctuation, and Saurashtra.
	    - Terrence Eden contributed the 4 Miscellaneous Technical glyphs
	      (he was the author of the Unicode proposal to add those glyphs).
	    - Paul Hardy updated Currency Symbols and Latin Extended-D glyphs.
	      (Control Pictures "Shift Out" glyph did not need to be modified;
	      it was incorrectly rendered in the Unicode Standard but was
	      correctly rendered in Unifont.)
	  - Vertically flipped U+301C as per Unicode errata for 8.0.0.
	* font/plane01/:
	  - Removed noscript-hex.txt and noscript-ranges-hex.txt.  They
	    are no longer used.
	* font/plane01/Makefile:
	  - Now places noscript.hex in the font/plane01 directory rather than
	    in the font/plane01/all directory.
	  - Now depend on unassigned-ranges.txt rather than depending on
	    plane01-unassigned.hex, since plane01-unassigned.hex is generated
	    from unassigned-ranges.txt.
	  - The "clean" target now removes plane01-unassigned.hex and
	    noscript.hex, but leaves all/plane01-all.hex.  The "distclean"
	    target additionally removes all/plane01-all.hex.
	* font/plane01/README: added file to describe how to add new Plane 1
	  glyphs to the distribution.
	* font/plane01/plane01.hex:
	  - Johnnie Weaver made these additions:
	    - Osage       (U+0104B0..U+0104FF)
	    - Multani     (U+011280..U+0112AF)
	    - Khudawadi   (U+0112B0..U+0112FF)
	    - Modi        (U+011600..U+01165F)
	    - Ahom        (U+011700..U+01173F)
	    - Warang Citi (U+0118A0..U+0118FF) [Allan Gardner began script]
	    - Pau Cin Hau (U+011AC0..U+011AFF)
	    - Bhaiksuki   (U+011C00..U+011C6F)
	    - Marchen     (U+011C70..U+011CBF)
	    - Mro         (U+016A40..U+016A6F)
	    - Bassa Vah   (U+016AD0..U+016A6F)
	    - Glagolitic Supplement (U+01E000..U+01E02F)
	    - Adlam       (U+01E900..U+01E95F)
	  - Paul Hardy made these additions:
	    - Modified Miao       (U+016F2C..U+016F32) as per Unicode errata.
	    - Modified Sharada    (U+0111BA..U+0111BB) as per Unicode errata.
	    - Added Duployan      (U+01BC00..U+01BC9F)
	    - Added Mende Kikakui (U+01E800..U+01E8DF)
	    - Enclosed Ideographic Supplement:
	      - Modified U+01F210, U+01F221, U+01F231, U+01F23A
	      - Added    U+01F23B
	* man/unifont.5: changed typo in "example".
	* man/*.[15]: changed "-" to "\-".
	* src/unibmp2hex.c: added new scripts to force to double-width;
	  Unified Canadian Aboriginal Syllabics and Extended block are now
	  all double-width.
	* src/unicoverage.c: removed non-supported "-p" flag and empty
	  example from help printout.
	* src/unifontpic.c: changed header string from "8.0" to "9.0".
	* src/unigenwidth.c: changed typo in "this".

2015-06-28 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 8.0.01.
	* Makefiles: updated version to 8.0.01; fonts now Copyright 2015.
	* font/Makefile:
	  - No longer create BDF or PCF fonts from glyphs above Plane 0.
	* font/plane00:
	  - Tibetan: Modified "nga" glyphs (U+0F44 and U+0F94) so they would not
	    resemble "da" (U+0F51 and U+0FA1, respectively) as closely.
	  - Made U+202F a single-width space glyph rather than nonprinting;
	    its entry was moved from nonprinting.hex to spaces.hex.
	  - Modified U+2FF* and moved block from wqy.hex to unifont-base.hex;
	    U+2FF7 was incorrect, and others in the range weren't symmetrical.
	* font/plane00/bmp-combining.hex: 4 new combining characters from
	  above scripts added and 19 combining characters from New Tai Lue
	  removed.
	* font/plane00/unassigned.hex: newly assigned code points removed
	  from list of unassigned code points.
	* font/plane00/unifont-base.hex:
	  - Paul Hardy added changes to these scripts for Unicode 8.0:
	    Arabic Extended-A, Gujarati, Telugu, Malayalam, Cherokee,
	    New Tai Lue (all combining characters are no longer combining),
	    Currency Symbols, Number Forms, Miscellaneous Symbols and Arrows,
	    Cyrillic Extended-B, Latin Extended-D, Devanagari Extended,
	    Latin Extended-E, Cherokee Supplement (new in Unicode 8.0.0),
	    and Combining Half Marks.
	* font/plane00/wqy.hex:
	  - Anonymous1 drew U+9FCD..U+9FD5, new in Unicode 8.0.
	  - Moved U+2FF* to unifont-base.hex following modification; see above.
	* font/plane01/noscript-ranges.txt: updated to remove scripts that are
	  new in Unicode 8.0.0.  "noscript-hex.txt" is generated from this.
	* font/plane01/plane01.hex:
	  - Paul Hardy added the scripts Linear A, Palmyrene, Nabataean, Hatran,
	    Meroitic Cursive, Manichaean, Old Hungarian, Mahajani, Sharada,
	    Sinhala Archaic Numbers.
	  - Paul Hardy added the new Unicode 8.0 glyphs in Siddham,
	    Musical Symbols, Miscellaneous Symbols and Pictographs, Emoticons,
	    and Transport and Map Symbols.
	  - Anonymous1 drew most of the Blackletter (Fraktur) in the
	    Mathematical Alphanumeric Symbols block.  Currently the regular and
	    bold versions of those glyphs are identical, from limitations of
	    Unifont's bitmap format.
	* font/plane01/plane01-combining.txt: added code points that are new
	  combining characters in Unicode 8.0.0.
	* font/plane01/plane01-nonprinting.hex: updated with new nonprinting
	  code points that are new in Unicode 8.0.0.
	* font/plane01/noscript-ranges-hex.txt: removed script ranges that
	  are new in Unicode 8.0.0.  "noscript-hex.txt" is generated from
	  this file.
	* font/plane01/plane01-unassigned-ranges.txt: removed code points that
	  are newly assigned in scripts in Unicode 8.0.0.
	  "unassigned-ranges.txt" is generated from this file.
	* src/hex2bdf: improved hex string pattern match to go beyond Plane 0.
	* src/unifontpic.c:
	  - Changed version string from "7.0" to "8.0".
	  - Line 129: moved "(i < 9)" range check before use of i in array.

2014-10-23 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 7.0.06.
	* Makefiles:
	  - Updated version to 7.0.06.
	  - Added "GZFLAGS = -f -9 -n" to use with gzip in all cases.
	  - Changed ';' to "&&" for multiple shell commands, to fail if
	    a preceding step caused an error.
	  - Use "install -s" instead of "install" on C binaries.
	* Makefile: regenerated .PHONY: target entries.
	* font/Makefile:
	  - Added GRAPHICS declaration, settable to "png" or "bmp" depending
	    on the type of Unifont font pages desired.  The default is set
	    to "png".
	  - Added bmp: target to create bitmapped graphics (.bmp) images of
	    Unifont.
	  - Create font/compiled/plane00.html along with
	    font/compiled/plane01.html in "png" and "bmp" targets.
	* font/plane01/plane01.hex:
	  - Added one glyph inadvertently omitted from Old Italic:
	    U+01031F (Paul Hardy).
	  - Improved animals in U+01F400..U+01F43F (Ælla Chiana Moskopp).
	  - Added more scripts:
	     U+010350..U+01037F Old Permic (Paul Hardy)
	     U+01F650..U+01F67F Ornamental Dingbats (Paul Hardy)
	     U+01F780..U+01F7FF Geometric Shapes Extended (Paul Hardy)
	     U+01F800..U+01F8FF Supplemental Arrows-C (Paul Hardy)
	  - Emoticons (Paul Hardy)
	     U+01F608: made horns look more like horns
	* src/: in all Perl scripts, added "or die" for open, close, and
	  print system calls.  Made some error messages more descriptive.
	* src/Makefile: Changed CFLAGS parameter "-O" to explicitly be "-O2".
	* src/unihexfill: added "set -e" at beginning of bash script.

2014-10-17 Paul Hardy <unifoundry@unifoundry.com>

	* Version: 7.0.05.
	* ChangeLog: updated list of Plane 1 scripts added in 7.0.04 entry.
	* font/Makefile:
	  - Put plane01.html in font/compiled/ instead of font/.
	* font/plane00.hex:
	  Following Anonymous1's discovery that the ASCII letter 'k' was
	  one pixel too short, Paul Hardy examined the rest of the ASCII
	  alphabet and made these changes:
	  - The letter 'l' was raised by one pixel to make it the same
	    height as all other lower-case letters with ascenders:
	    'b', 'd', 'f', 'h', 'k', and also the same height as 'i' and 'j'.
	    These are all one pixel taller than the upper-case letters.
	  - The horizontal stroke of the letter 't' was lowered by one
	    pixel row to line up with the horizontal stroke in 'f'.
	    This is one pixel shorter than the font's x-height, and
	    is a compromise.
	  - The following scripts were modified where appropriate to
	    include the changes to the letters 'k', 'l', and 't':
	       U+00A0..U+00FF Latin-1 Supplement [no changes]
	       U+0100..U+017F Latin Extended-A
	       U+0180..U+024F Latin Extended-B
	       U+0250..U+02A0 IPA Extensions
	       U+1E00..U+1EFF Latin Extended Additional
	       U+2C60..U+2C7F Latin Extended-C
	       U+3300..U+33FF CJK Compatibility
	       U+A720..U+A7FF Latin Extended-D
	       U+FB00..U+FB4F Alphabetic Presentation Forms
	       U+FF00..U+FFEF Halfwidth and Fullwidth Forms.
	* font/plane01.hex:
	- Paul Hardy and Ælla Chiana Moskopp completed Miscellaneous
	  Symbols and Pictographs (U+01F300..U+01F5FF).
	- Ælla modified several Plane 1 glyphs from what were in the
	  Unifont-7.0.04 release in these scripts:
	     U+01F300..U+01F5FF Miscellaneous Symbols and Pictographs
	     U+01F600..U+01F64F Emoticons
	     U+01F680..U+01F6FF and Transport and Map Symbols scripts.
	* man/Makefile: remove $(MANPAGES) from "install" target.

2014-10-11  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 7.0.04.
	* Makefiles: bumped version to 7.0.04.
	* ChangeLog: added "Version" line at the start of all past entries,
	  since the version number now no longer includes a date as of
	  Version 7.0.01.  Fixed spelling of "Anonymous1" in 7.0.02 entry.
	* doc/: updates to include man/unipagecount.1 changes.
	* font/Makefile:
	  - Incorporates all font/plane01 glyphs in generated
	    font/compiled/png/plane01/*.png files, including six-digit
	    hexadecimal glyphs for code points that the Unicode Consortium
	    has not yet assigned to scripts.
	  - Generate font/plane01/all/plane01.html, showing current coverage
	    and what remains to be done in a color-coded table.
	  - Modified distclean target to do a "make clean" in font/plane01.
	* font/plane00/unifont-base.hex:
	  - Copied U+0070 (lower-case Latin "p") to U+0440 (Cyrillic
	    small letter "er").  Thanks to Anonymous1 for spotting that.
	  - Made the angle in symbol U+26BC (SESQUIQUADRATE) a 45 degree
	    angle, since the symbol is supposed to represent 135 degrees
	    (so 90 + 45 = 135).  Thanks to Artur Quaglio for noticing that.
	    The depiction in the Unicode Standard code chart is inaccurate.
	  - Anonymous1 improved the following glyphs:
	    U+0026, U+006B, U+0111, U+0127, U+040F, U+041A, U+0444, U+0452,
	    U+045B, U+045F, U+066F, U+0950, U+1E00, U+1E01, U+20AB, U+2103,
	    U+2109, U+2118, U+211C, U+213C, U+213D, U+2169, U+26F6, U+2721,
	    U+A4D2, U+3005, U+3006.
	* font/plane00/wqy.hex: Anonymous1 improved the following glyphs:
	  U+3116, U+3464, U+35CA, U+4EAE, U+533F, U+53D7, U+5404, U+569F,
	  U+56B9, U+56DE, U+5909, U+5967, U+5E38, U+6238, U+796D, U+7981,
	  U+7A3F, U+7C21, U+7F60, U+840C, U+8276, U+9055, U+907A, U+9089,
	  U+9EA5, U+9F20.
	* font/plane01/Makefile:
	  - Changed name of generated unassigned.hex to plane01-unassigned.hex.
	  - Added a line to create noscript-ranges-hex.txt from
	    noscript-ranges.txt.
	  - Create font/plane01/all/ directory for generating PNG files
	    when font is compiled.
	* font/plane01/noscript-ranges.txt: added file that contains
	  start and stop code points of all ranges in Unicode Plane 1
	  where Unicode scripts have not yet been assigned.  font/Makefile
	  uses this to generate filler glyphs for those unassigned script
	  ranges; they are not included in the main font, but are included
	  in the PNG graphics files in the font/compiled directory.
	* font/plane01/plane01-combining.txt: added all Unicode combining
	  code points in the Unicode 7.0 Plane 1 range, not just ones for
	  scripts that Unifont Upper contains.
	* font/plane01/plane01.hex:
	  - Artur Quaglio added Elbasan and Caucasian Albanian.
	  - Paul Hardy added Sora Sompeng, Chakma, Sharada, Takri, Miao,
	    Arabic Mathematical Alphabetic Supplement, and Transport and
	    Map Symbols.
	  - Anonymous1 added Siddham and the script letters in the Mathematical
	    Alphanumeric Symbols block.
	  - Paul Hardy, Ælla Chiana Moskopp, and Anonymous1 added more
	    to the Miscellaneous Symbols and Pictographs, and Ælla improved
	    existing glyphs.
	  - Ælla Chiana Moskopp made improvements to some Transport and
	    Map Symbols.
	  - Anonymous1 improved U+01F200.
	* font/plane01/plane01-nonprinting.hex: new file contains the
	  non-printing Unicode Plane 01 glyphs.
	* font/plane01/unassigned-ranges.txt: fixed a typo; under the
	  Khojki script, 011122 should have been 011212.
	* man/Makefile: added unifont-viewer.1 to MAN1PAGES variable.
	* man/unipagecount.1: updated to reflect src/unipagecount.c changes.
	* src/hex2sfd:
	  - Modified comments to include Luis Alejandro González Miranda's
	    full name.
	  - Now supports combining characters for glyphs above Plane 0.
	  - Properly marks fonts with glyphs above Plane 0 as "Unicode"
	    instead of "UnicodeBmp".
	  - Explicitly defines glyphs for ".notdef", ".null", and
	    "nonmarkingreturn" rather than use the FontForge-supplied defaults.
	  - Calculate exact number of glyphs in the font for BeginChars entry.
	  - Moved pixel-outlining portion to a separate subroutine, "outline".
	  - Add "uni" prefix to StartChar description of code points.
	* src/unipagecount.c: modified to handle glyphs for any Unicode plane.
	  Now takes a "-Pnn" parameter, where "nn" is the desired plane
	  number (0 through 16, inclusive).  The default is Plane 0.
	  The previous version would only take one command-line argument;
	  this version can take multiple arguments.

2014-07-01  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 7.0.03.
	* doc/unifont.texi: include unihexfill.texi.
	* doc/unihexfill.texi: added file.
	* doc/*.texi: updated all files to cross-reference unihexfill(1).
	* font/Makefile: removed spurious "DF" element in "for"
	  loop to create "compiled/png/csur/" glyphs.
	* font/plane00/unifont-base.hex: changed "y" glyph (U+0079)
	  back to previous version.  Added modification to the
	  German double s glyph (U+00DF) submitted by Joshua Krämer.
	* font/plane01/Makefile: corrected a comment line.
	* man/unihexfill.1: created missing man page.  Without that,
	  this version did not conform to Debian Policy.  The
	  omission drove this release.
	* man/*.[15]: updated all man pages to cross-reference unihexfill(1).

2014-06-29  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 7.0.02.
	* ChangeLog:
	  - File now begins with UTF-8 encoded Byte Order Mark (U+FEFF),
	    which is 0xEF, 0xBB, 0xBF.  This will alert some less than
	    well behaved text applications to expect non-ASCII UTF-8
	    characters in this file.
	  - Corrected date in previous ChangeLog entry.
	* font/Makefile: removed an extra "done" in a "for" loop.
	* font/plane00/unifont-base.hex:
	  - Joshua Krämer redrew U+0079 ('y') and U+00B5 (mu).
	  - Paul Hardy redrew U+00DF (German double s), and Gujarati
	    characters U+0ACB and U+0ACC.
	  - Anonymous1 redrew symbols U+2672, U+267B, U+267C, U+267D, U+269B,
	    and U+269C.
	  - Anonymous1 and Paul Hardy redrew U+262F (yin-yang).
	* font/plane01/plane01.hex:
	  - Paul Hardy added [in order of appearance in Unicode Plane 1 /
	    the SMP]: Meroitic Hieroglyphs, Meroitic Cursive, Avestan,
	    Inscriptional Parthian, Inscriptional Pahlavi, Psalter Pahlavi,
	    Old Turkic, Rumi Numeral Symbols, Brahmi, Kaithi, Kana Supplement,
	    Shorthand Format Controls, Emoticons, and Alchemical Symbols.
	    He also redrew U+01F195 ("NEW").
	  - Ælla Chiana Moskopp drew more glyphs in the Miscellaneous Symbols
	    and Pictographs block.
	  - Anonymous1 contributed the Pahawh Hmong glyphs.  He contributed
	    new Mah Jong glyphs: U+01F010, U+01F022 through U+01F02A.  He
	    also redrew U+01F16A ("MC") and U+01F198 ("SOS").

2014-06-21  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 7.0.01.
	* Changed version numbering from a date at the end to a two-digit
	  release number for a given Unicode version, where a Unicode version
	  consists of a major number and a minor number.  So this version is
	  Unifont 7.0.01, because it is the first revision to implement the
	  Unifont 7.0 glyphs.  Richard Stallman made this request.
	* INSTALL: changed "hexsrc" to "plane00" to refer to the new
	  directory name.
	* README:
	  - Changed "hexsrc" to "plane00" to refer to the new directory name.
	  - Added mention of Andrew Miller writing unifont-viewer.
	* doc/: incorporated unifont-viewer.texi into unifont.texi.
	* doc/Makefile: corrected comments for building texinfo output files,
	  and simplified docprep target.
	* doc/unifont-viewer.texi: added file.
	* doc/unifont.texi:
	  - Corrected naming of section "Using Graphical Tools"; it was
	    incorrectly named "Hex File Format", which is the name of the
	    preceding section.
	  - Added new section on "Dynamically Viewing a Unifont File" to
	    describe using the unifont-viewer Perl utility.
	  - Added unifont-viewer man page sub-section to Reference section.
	* doc/unifontpic.texi: changed "hexsrc" to "plane00" to refer to
	  the new directory name.
	* doc/unigencircles.texi: changed "hexsrc" to "plane00" to refer to
	  the new directory name.
	* font/Makefile:
	  - Added font/plane0[1-F]csur/*.hex in hex: target to sort input
	    for building fonts containing CSUR glyphs above Plane 0.
	  - Added all combining character code points in uppercsurttf target.
	  - Added creation of unifont_upper_sample-$(VERSION).hex.  This
	    involved the creation of combining and nonprinting files in
	    "font/compiled/" directory.  Also added creation of
	    unifont_upper_sample-$(VERSION).bdf and
	    the SBIT font unifont_upper_sample-$(VERSION).ttf.
	  - Added generation of Supplemental Multilingual Plane glyphs
	    to "font/compiled/bmp/" directory.
	  - Renamed "font/compiled/bmp/uni??.bmp" to
	    "font/compiled/bmp/uni00??.bmp" to appear before SMP bitmap files.
	  - compiled/bmp no longer created; replaced with compiled/png.
	  - compiled/png now contains sample glyphs in Portable Network
	    Graphics format (with combining circles where appropriate),
	    in subdirectories "plane00", "plane01", "plane0E", and "csur".
	  - clean target now also removes "$(COMPILED_DIR)/*.sfd.gz".
	* font/index.html: added table for Supplemental Multilingual Plane.
	* font/plane00: Added the 327 new glyphs introduced to Plane 0 in
	  Unicode 7.0.  This involved adding glyphs to unifont-base.hex,
	  adding combining code points to bmp-combining.txt, and removing
	  newly-defined glyphs from unassigned.hex.
	* font/plane00/README: changed "hexsrc" to "plane00" to refer to
	  the new directory name.
	* font/plane00/unifont-base.hex:
	  - Redrew U+0D00 and U+2702.
	  - Redrew Halfwidth Katakana Variants, U+FF65 through U+FF9F, because
	    the original glyphs were too tall compared to the rest of Unifont.
	  - Using new versions of U+2619 (the "Aldus leaf"), U+2622,
	    and U+26DF that Ælla Chiana Moskopp submitted.
	* font/plane00csur/csur.hex: removed U+EFFF as a Copyleft symbol, as
	  it is not part of the ConScript Unicode Registry.
	* font/plane01/Makefile: created Makefile to generate "unassigned.hex"
	  from "unassigned-ranges.txt".
	* font/plane01/plane01.hex:
	  - Paul Hardy added these scripts: Phaistos Disc, Coptic Epact
	    Numbers, Imperial Aramaic, Lydian, Old South Arabian, Old North
	    Arabian, and Enclosed Ideographic Supplement (modeled after glyphs
	    in Wen Quan Yi).  Also added new glyphs to complete Phoenician.
	    Also added glyphs to complete the 7.0 additions for Ancient Greek
	    Numbers, Ancient Symbols, and Old Italic.
	  - Andrew Miller added new glyphs for Playing Cards and Enclosed
	    Alphanumeric Supplement.  Also drew more glyphs for Mathematical
	    Alphanumeric Supplement.
	  - Ælla Chiana Arson Bobbie Moskopp drew the new Miscellaneous Symbols
	    and Pictographs.
	* font/plane01/unassigned-ranges.txt: completed all unassigned ranges
	  for scripts that the Unicode Consortium has assigned.
	* font/plane01/plane01-nonprinting.hex: created file.
	* man/:
	  - Added references to unifont-viewer in all other man pages.
	  - Removed an extraneous ".PP" that appeared in some man pages before
	    a new section header.
	* man/unifont.5: changed "hexsrc" to "plane00".
	* man/unifont-viewer.1: created file.
	* man/unifontpic.1: changed "hexsrc" to "plane00".
	* man/unigencircles.1: changed "hexsrc" to "plane00".
	* src/unifont-viewer: added new program to view Unifont hex files.
	* src/unifontpic.c: changed "6.3" version number to "7.0".
	* src/unigencircles.c: extended to cover the entire Unicode range.
	* src/unihexfill: new program to pad a script with glyphs that are
	  four or six digits.  Among other uses, this will allow Debian
	  GNU/Linux's font review script to report Unicode script completion
	  percentage accurately for Unifont.

2014-02-14  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20140214.
	* COPYING: added GNU Free Documentation License 1.3, which covers
	  the files "doc/unifont.*".
	* ChangeLog: fixed a typo in 2014-02-04 entry.

2014-02-04  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20140204.
	* Makefiles:
	  - Updated date for new release.
	  - Added Qianqian Fang's name to COPYRIGHT strings, for his glyph
	    contributions in "font/plane00/wqy.hex".
	* hangul/hangul-generation.html: removed references to three footer
	  "<img>" links that pointed to external websites.  Those external
	  icons were saved locally when the original web page
	  http://unifoundry.com/hangul/hangul-generation.html was saved in
	  the "hangul/" directory.  That web page is the most comprehensive
	  documentation of the effort to create the Hangul Syllables block
	  from scratch.
	* hangul/hangul-generation_files: removed three external icon files
	  ("valid-html401.png", "vccs.gif", and "w3c_ab.gif") that were saved
	  locally when http://unifoundry.com/hangul/hangul-generation.html
	  was saved.
	* src/unibmp2hex.c: increased size of "wide" array to be 0x200000,
	  to cover the entire range of Unicode.

2014-02-02  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20140202.
	* Makefiles: updated date for new release.
	* NEWS: updated for new release.
	* README: updated for new release, notably mentioning that
	  "font/hexsrc" has been renamed to "font/plane00".
	* doc/: regenerated unifont.txt, unifont.info, and unifont.pdf files
	  after addition of doc/hexkinya.texi.
	* doc/Makefile (docprep): added new target to remove the files
	  created by "make doc", in preparation for running "make doc" again.
	* doc/hexkinya.texi: added Texinfo file for hexkinya Perl script.
	* doc/unifont.texi: updated file to reflect "font/hexsrc" being
	  renamed to "font/plane00" and made other changes to reflect
	  support beyond the Unicode Basic Multilingual Plane.
	* font/Makefile:
	  - Added Andrew Miller's name to COPYRIGHT string.
	  - Add unifont_upper font files for Plane 1 through Plane 14 glyphs.
	  - Add unifont_upper_csur font files for Plane 1 through Plane 15
	    glyphs (currently there are no glyphs for Plane 16, the highest
	    plane that the  Unicode Standard allows).
	  - Create Unifont-APL8x16.psf.gz console font file, to support
	    running GNU APL and other APL implementations in console mode.
	    This font is a 512 glyph subset of Unifont.
	* font/Makefile (bigpic): construct giant glyph picture using
	  font/plane00/*.hex rather than font/compiled/unifont_sample*.hex,
	  because the latter doesn't contain glyphs for U+FFFE or U+FFFF
	  (removed to appease MS Windows).
	* font/Makefile (hex): added egrep -v "^FFF[EF]" to make sure
	  U+FFFE and U+FFFF are removed from font, for Windows XP.
	* font/plane00: new name of previous "font/hexsrc" directory, now
	  that this package contains multiple Unicode planes.
	* font/plane00/README: updated to mention new "omit.hex" file.
	* font/plane00/bmp-combining.txt: formerly "font/ttfsrc/combining.txt".
	* font/plane00/nonprinting.hex: removed U+FFFE and U+FFFF to
	  appease MS Windows XP (see font/plane00/omit.hex entry below).
	* font/plane00/omit.hex: consists of U+FFFE and U+FFFF, for the
	  sake of MS Windows XP.
	* font/plane00/unifont-base.hex: Further tweaks to APL glyphs.
	* font/plane00csur:
	  - Created ConScript Unicode Registry directory, for glyphs in Michael
	    Everson's PUA mapping ("http://www.evertype.com/standards/csur/").
	  - Added contributions of Wojciech Stryjewski: Tengwar and Klingon.
	  - Added contributions of Andrew Miller: Kinya (partial), aUI,
	    Gargoyle, Ewellic, Unifon, Solresol, Visible Speech, and Monofon.
	  - Added contributions of Paul Hardy: Cirth and Aiha.
	* font/plane01: created directory for Unicode Plane 1 glyphs.
	  - Added glyphs contributed by Roman Czyborra and Andrew Miller:
	    Old Italic.
	  - Added glyphs contributed by Andrew Miller: Ancient Symbols,
	    Lycian, Carian, Ugaritic, Old Persian, Musical Symbols,
	    Tai Xuan Jing Symbols, Counting Rod Numerals, Mathematical
	    Alphanumeric Symbols (partial), Mahjong Tiles, Domino Tiles,
	    Playing Cards, Enclosed Alphanumeric Supplement, and Miscellaneous
	    Symbols and Pictographs (partial).
	  - Added glyphs contributed by Paul Hardy: Linear B Syllabary,
	    Linear B Ideograms, Aegean Numbers, Ancient Greek Numbers,
	    Gothic, Deseret, Shavian, Osmanya, Cypriot Syllabary, Phoenician,
	    Kharoshthi, Byzantine Musical Symbols, and Ancient Greek Musical
	    Notation.
	* font/plane0E: added scripts contributed by Andrew Miller: Tags and
	  Variation Selectors Supplement.
	* font/plane0Fcsur: added glyphs from Michael Everson's ConScript
	  Unicode Registry (CSUR) contributed by Andrew Miller: Kinya Syllables.
	* font/psf: added directory with files to build new PSF font version,
	  to allow APL use under GNU/Linux in console mode.
	* font/ttfsrc: simplified directory to only contain a Makefile;
	  other files were moved to "font/plane00/" as a precursor to allow
	  parallel building of multiple fonts.
	* font/ttfsrc/Makefile:
	  - Updated VERSION date.
	  - Added Andrew Miller's name to COPYRIGHT string.
	* hangul/README: changed mention of "font/hexsrc" to new location
	  of "font/plane00".
	* man/hexkinya.1: added man page for Andrew Miller's hexkinya Perl
	  script, also cross-referenced in all other man pages.
	* src/hexkinya: new script by Andrew Miller to generate Kinya Private
	  Use Area glyphs in Plane 15, saved under "font/plane0Fcsur/".
	* src/unibmp2hex.c: added forced double width for appropriate
	  Plane 1 (Supplemental Multilingual Plane) scripts now that
	  this package extends beyond the Basic Multilingual Plane.
	* src/unipagecount.c: corrected license from GPL3+ to GPL2+.

2013-12-21  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20131221.
	* ChangeLog: corrected date on last entry from 12-27 to 12-17.
	* Makefiles: updated date for new release.
	* font/hexsrc/unifont-base.hex: Modified glyphs to appear better
	  in APL: U+22F8, U+233B, U+233E, U+235B, and U+2364.
	* font/ttfsrc/Makefile: commented out SetFontNames function calls
	  in fontforge.  Not all applications were interpreting that data
	  correctly.  For example, in LibreOffice, it listed the font as
	  the foundry name ("GNU") rather than the foundry name plus the
	  font name ("GNU Unifont") or just the font name.  That is a bug
	  in LibreOffice, so if such things are fixed in the future then
	  these calls can be re-introduced.
	* src/hex2bdf:
	  - Rearranged some properties (cosmetic change).
	  - Changed default font name from "unifont" to "Unifont".
	* src/unigencircles.c: changed subscript from MAXSTRING to
	  MAXSTRING-1 at line 61.

2013-12-17  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20131217.
	* doc/Makefile: removed redirection of texi2pdf output.
	* doc/unifont.pdf: rebuilt file.
	* font/Makefile:
	  - Don't modify PCF fonts with FontForge, which alters them
	    so grub-mkfont can't read them.
	  - In font/compiled, insert $(VERSION) into unifont.sfd name.
	* font/ttfsrc/Makefile (clean): remove *.bdf, so unifont_sample.bdf
	  is removed.
	* README: removed date stamp at top of file.

2013-12-15  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20131215.
	* src/unihex2png: new program to convert unifont.hex to PNG image.
	* src/unipng2hex: new program to convert PNG image to unifont.hex.
	* src/hex2bdf:
	  - Added new XLFD properties for font generation for FreeType and
	    grub-mkfont support; includes version & copyright info.
	  - Fields now begin with upper-case, including "unifont"-->"Unifont".
	  - Changed POINT_SIZE property from 160 to 120.
	  - Added "Sans" style name to FONT string plus XLFD property.
	  - Added command line options for font name, version, & glyph height.
	  - Allow generation of fonts with other than 16 pixel rows/glyph, to
	    support new capabilities of unihex2png, unipng2hex, and hexdraw.
	* src/unidup.c: now takes an optional file name on the command line.
	* src/*.c: reformatted to follow GNU Coding Standards.
	* man/*: Updated man pages to reflect new options, new programs,
	  and to reflect the GPLv2+ license now common to all programs.
	* doc/: new directory with Texinfo files.
	* ChangeLog: created new file.
	* COPYING: created new file.
	* INSTALL: file created using BUILDING section from old README file.
	* LICENSE: removed; its contents are in README and COPYING now.
	* NEWS: created new file.
	* Makefiles: added "SHELL = /bin/sh" if not already declared.
	* Makefiles (distclean): added removal of "*~" if not already declared.
	* Makefile: compress text files with "gzip -f -9" during installation.
	* font/Makefile: fontforge scripting updated; now adds font copyright,
	  license, version and other info to PCF files.
	* font/hexsrc/unifont-base.hex:
	  - Redrew several Armenian letters (U+0530..U+058F).
	  - Redrew Capricorn symbol (U+2651).
	  - Redrew CJK Radical Supplement glyphs: U+2E9F, U+2EA9, U+2EAC,
	    U+2EAE, U+2EC0, U+2EDE, U+2EE7, and U+2EED.
	* font/ttfsrc/Makefile: fontforge scripting command changed from
	  "Simplify(-1,1)" to "Simplify(64,1)" to "merge lines which are
	  nearly parallel into one".  This decreases the TrueType file size
	  by almost 2 Megabytes, by reducing the number of control points
	  for a glyph.  Also add font copyright, license, version, and
	  other info to TTF files.
	* font/ttfsrc/Makefile: now builds SBIT font unifont_sample.ttf.
	* unifontall-*: renamed to "unifont_sample-*".
	* *.bdf: Added font version, copyright, etc. with hex2bdf.
	* *.pcf: Added font version, copyright, etc. with fontforge.
	* *.ttf: Added font version, copyright, etc. with fontforge.
	* font/*/unifont-*.bmp: Create chart of entire Unifont using pre-built
	  unifont_sample.hex rather than assembling *.hex just for this image.
	* hangul/hangul-generation.html: updated to correct a typo, where
	  rieul was mentioned as an initial consonant instead of a final
	  consonant in an explanation of vertical spacing constraints.
	* hangul/Makefile:
	  - Updated hex2bdf parameters to name generated BDF font
	    "Unifont Johab" rather than "unifont" and add copyright.
	  - Used a sed script to change BDF encoding from ISO10646 to "Johab".
	  - Call bdftopcf to create hangul-base.pcf, then compress with gzip.
	  - Add "precompiled:" target to create basic Johab font files.

2013-10-20  Paul Hardy  <unifoundry@unifoundry.com>

	* Version: 6.3.20131020.
	* First GNU Project version.
